/*-----------------------------------------------------------------------------
 |- Copyright 2006-2010 Fusion-io, Inc. All rights reserved.

 No use, or distribution, of this source code is permitted in any form or
 means without a valid, written license agreement with Fusion-io. Please
 refer to the included "License" or "License.txt" file for terms and
 conditions regarding the use and redistribution of this software.
-----------------------------------------------------------------------------*/

#ifndef _INCLUDE_FIO_PUBLIC_VERSION_H_
#define _INCLUDE_FIO_PUBLIC_VERSION_H_

/* Previous versions, used to verify that a struct is capable of holding newer version data.
   Use the FIO_STRUCT_VERSION_OK function. */
#define FIO_SDK_API_VERSION_1    1
#define FIO_SDK_API_VERSION_2    2
#define FIO_SDK_API_VERSION_3    3
#define FIO_SDK_API_VERSION_4    4
#define FIO_SDK_API_VERSION_5    5
#define FIO_SDK_API_VERSION_6    6  /* Persistent Parameter Store added */
#define FIO_SDK_API_VERSION_7    7	/* string serial number added to product and adapter */

/* The current API version */
#define FIO_SDK_API_VERSION      FIO_SDK_API_VERSION_7

#if !defined(FIO_SDK_DEPRECATED)
/* Change this define to 0 to remove the deprecated code */
#define FIO_SDK_DEPRECATED 1
#endif

#endif /* _INCLUDE_FIO_PUBLIC_VERSION_H_ */

