$estr = function() { return js.Boot.__string_rec(this,''); }
if(typeof fio=='undefined') fio = {}
if(!fio.components) fio.components = {}
fio.components.Component = function(parentIn) { if( parentIn === $_ ) return; {
	this._dirty = true;
	this._shown = true;
	this._parent = null;
	this.setParent(parentIn);
}}
fio.components.Component.__name__ = ["fio","components","Component"];
fio.components.Component.prototype._dirty = null;
fio.components.Component.prototype._parent = null;
fio.components.Component.prototype._shown = null;
fio.components.Component.prototype.addToNativeParent = function(newParent) {
	null;
}
fio.components.Component.prototype.alpha = null;
fio.components.Component.prototype.clearChildren = function(recurse) {
	if(recurse == null) recurse = false;
}
fio.components.Component.prototype.containerX = null;
fio.components.Component.prototype.containerY = null;
fio.components.Component.prototype.directSetParent = function(newParent) {
	this._parent = newParent;
}
fio.components.Component.prototype.draw = function() {
	null;
}
fio.components.Component.prototype.drawBack = function() {
	null;
}
fio.components.Component.prototype.getContainerX = function() {
	if(this._parent != null) {
		return (this.getX() + this._parent.getContainerX());
	}
	return this.getX();
}
fio.components.Component.prototype.getContainerY = function() {
	if(this._parent != null) {
		return (this.getY() + this._parent.getContainerY());
	}
	return this.getY();
}
fio.components.Component.prototype.getGlobalX = function() {
	if(this._parent != null) {
		return (this.getX() + this._parent.getGlobalX());
	}
	return this.getX();
}
fio.components.Component.prototype.getGlobalY = function() {
	if(this._parent != null) {
		return (this.getY() + this._parent.getGlobalY());
	}
	return this.getY();
}
fio.components.Component.prototype.getHeight = function() {
	return 0;
}
fio.components.Component.prototype.getParent = function() {
	return this._parent;
}
fio.components.Component.prototype.getWidth = function() {
	return 0;
}
fio.components.Component.prototype.getX = function() {
	return 0;
}
fio.components.Component.prototype.getY = function() {
	return 0;
}
fio.components.Component.prototype.globalX = null;
fio.components.Component.prototype.globalY = null;
fio.components.Component.prototype.height = null;
fio.components.Component.prototype.isShown = function() {
	return this._shown;
}
fio.components.Component.prototype.isVisible = function() {
	if(!this._shown) return false;
	else if(this._parent == null) return true;
	return this._parent.isVisible();
}
fio.components.Component.prototype.parent = null;
fio.components.Component.prototype.removeFromNativeParent = function() {
	null;
}
fio.components.Component.prototype.repaint = function(repaintFootprint,forceContainerRepaint,parentDirty) {
	if(parentDirty == null) parentDirty = false;
	if(forceContainerRepaint == null) forceContainerRepaint = false;
	if(repaintFootprint == null) repaintFootprint = false;
	if(fio.components.RootPanel.isRepainting()) {
		if(this._dirty || forceContainerRepaint || parentDirty) {
			if(this._shown) {
				this.drawBack();
				this.draw();
			}
			this._dirty = false;
		}
	}
	else {
		if(repaintFootprint) {
			this._parent.repaint();
		}
		this._dirty = true;
	}
}
fio.components.Component.prototype.setAlpha = function(alpha) {
	return 0.0;
}
fio.components.Component.prototype.setHeight = function(heightIn) {
	return 0;
}
fio.components.Component.prototype.setParent = function(newParent) {
	if(this._parent == newParent) return this._parent;
	if(this._parent != null) {
		this._parent.removeChild(this);
		this._parent = null;
	}
	if(newParent != null) {
		newParent.addChild(this);
		this._parent = newParent;
	}
	return this._parent;
}
fio.components.Component.prototype.setShown = function(show) {
	if(show != this._shown) {
		this._shown = show;
		this.repaint(!show,false,false);
	}
}
fio.components.Component.prototype.setWidth = function(widthIn) {
	return 0;
}
fio.components.Component.prototype.setX = function(xIn) {
	return 0;
}
fio.components.Component.prototype.setY = function(yIn) {
	return 0;
}
fio.components.Component.prototype.update = function() {
	this.repaint();
	fio.components.RootPanel.paintFrame();
}
fio.components.Component.prototype.virtualRepaintRequired = function() {
	return this._dirty;
}
fio.components.Component.prototype.width = null;
fio.components.Component.prototype.x = null;
fio.components.Component.prototype.y = null;
fio.components.Component.prototype.__class__ = fio.components.Component;
fio.components.Container = function(parentIn,xIn,yIn,widthIn,heightIn,opaqueColor,maskToSize) { if( parentIn === $_ ) return; {
	if(maskToSize == null) maskToSize = false;
	if(opaqueColor == null) opaqueColor = -1;
	this._maskToSize = maskToSize;
	this.constructNativePeer(parentIn);
	fio.components.Component.apply(this,[parentIn]);
	if(opaqueColor == -1) {
		this._opaqueColor = null;
	}
	else {
		this._opaqueColor = "#" + StringTools.hex(opaqueColor,6);
	}
	this.setWidth(widthIn);
	this.setHeight(heightIn);
	this._children = new Array();
	this.setX(xIn);
	this.setY(yIn);
}}
fio.components.Container.__name__ = ["fio","components","Container"];
fio.components.Container.__super__ = fio.components.Component;
for(var k in fio.components.Component.prototype ) fio.components.Container.prototype[k] = fio.components.Component.prototype[k];
fio.components.Container.prototype._children = null;
fio.components.Container.prototype._graphics = null;
fio.components.Container.prototype._height = null;
fio.components.Container.prototype._maskToSize = null;
fio.components.Container.prototype._opaqueColor = null;
fio.components.Container.prototype._width = null;
fio.components.Container.prototype._x = null;
fio.components.Container.prototype._y = null;
fio.components.Container.prototype.addChild = function(component) {
	if(component.getParent() != null) {
		component.setParent(null);
	}
	component.directSetParent(this);
	this._children.push(component);
	component.addToNativeParent(this);
}
fio.components.Container.prototype.addToNativeParent = function(newParent) {
	null;
}
fio.components.Container.prototype.children = null;
fio.components.Container.prototype.clearChildren = function(recurse) {
	if(recurse == null) recurse = false;
	{
		var _g1 = 0, _g = this._children.length;
		while(_g1 < _g) {
			var i = _g1++;
			var child = this._children[i];
			if(recurse) {
				child.setShown(false);
				this.clearChildren(recurse);
			}
			child.removeFromNativeParent();
		}
	}
	this._children = new Array();
}
fio.components.Container.prototype.constructNativePeer = function(parentIn) {
	this._graphics = new fio.graphics.VirtualContext(this,fio.components.RootPanel.getGraphics());
}
fio.components.Container.prototype.draw = function() {
	null;
}
fio.components.Container.prototype.drawBack = function() {
	this.drawOpaque();
	fio.components.Component.prototype.drawBack.apply(this,[]);
}
fio.components.Container.prototype.drawOpaque = function() {
	if(this.getOpaque()) {
		this._graphics._targetContext.fillStyle = this._opaqueColor;
		this._graphics._targetContext.fillRect(this.getContainerX(),this.getContainerY(),this.getWidth(),this.getHeight());
	}
}
fio.components.Container.prototype.getChildren = function() {
	return this._children;
}
fio.components.Container.prototype.getContainerX = function() {
	return fio.components.Component.prototype.getContainerX.apply(this,[]);
}
fio.components.Container.prototype.getContainerY = function() {
	return fio.components.Component.prototype.getContainerY.apply(this,[]);
}
fio.components.Container.prototype.getGraphics = function() {
	return this._graphics;
}
fio.components.Container.prototype.getHeight = function() {
	return this._height;
}
fio.components.Container.prototype.getOpaque = function() {
	return this._opaqueColor != null;
}
fio.components.Container.prototype.getWidth = function() {
	return this._width;
}
fio.components.Container.prototype.getX = function() {
	return this._x;
}
fio.components.Container.prototype.getY = function() {
	return this._y;
}
fio.components.Container.prototype.graphics = null;
fio.components.Container.prototype.opaque = null;
fio.components.Container.prototype.removeChild = function(component) {
	{
		var _g1 = 0, _g = this._children.length;
		while(_g1 < _g) {
			var i = _g1++;
			var child = this._children[i];
			if(component == child) {
				this._children.splice(i,1);
				component.removeFromNativeParent();
				return component;
			}
		}
	}
	return null;
}
fio.components.Container.prototype.removeFromNativeParent = function() {
	null;
}
fio.components.Container.prototype.repaint = function(repaintFootprint,forceContainerRepaint,parentDirty) {
	if(parentDirty == null) parentDirty = false;
	if(forceContainerRepaint == null) forceContainerRepaint = false;
	if(repaintFootprint == null) repaintFootprint = false;
	if(fio.components.RootPanel.isRepainting()) {
		var paintMe = false;
		var copyMe = false;
		if(parentDirty) {
			copyMe = true;
		}
		if(this._dirty) {
			paintMe = true;
			parentDirty = true;
		}
		else if(!this.getOpaque() && forceContainerRepaint) {
			paintMe = true;
			parentDirty = true;
		}
		else if(this.getOpaque()) {
			var reqd = false;
			{
				var _g = 0, _g1 = this._children;
				while(_g < _g1.length) {
					var child = _g1[_g];
					++_g;
					reqd = child.virtualRepaintRequired();
					if(reqd) break;
				}
			}
			if(reqd) {
				paintMe = true;
				forceContainerRepaint = true;
				parentDirty = true;
			}
			else {
				forceContainerRepaint = false;
			}
		}
		if(paintMe) {
			if(this._shown) {
				this.drawBack();
				this.draw();
			}
			else {
				this.drawOpaque();
			}
			this._dirty = false;
		}
		else if(copyMe) {
			if(this._shown) {
				this.drawBack();
				this.draw();
			}
			else {
				this.drawOpaque();
			}
			this._dirty = false;
			forceContainerRepaint = false;
			parentDirty = true;
		}
		if(this._shown) {
			{
				var _g = 0, _g1 = this._children;
				while(_g < _g1.length) {
					var child = _g1[_g];
					++_g;
					child.repaint(false,forceContainerRepaint,parentDirty);
				}
			}
		}
	}
	else {
		if(repaintFootprint) {
			this._parent.repaint();
		}
		this._dirty = true;
	}
}
fio.components.Container.prototype.setAlpha = function(alphaIn) {
	return fio.components.Component.prototype.getContainerX.apply(this,[]);
}
fio.components.Container.prototype.setHeight = function(heightIn) {
	this._height = heightIn;
	if(this.getOpaque()) {
		this._dirty = true;
	}
	return heightIn;
}
fio.components.Container.prototype.setShown = function(show) {
	fio.components.Component.prototype.setShown.apply(this,[show]);
}
fio.components.Container.prototype.setWidth = function(widthIn) {
	this._width = widthIn;
	if(this.getOpaque()) {
		this._dirty = true;
	}
	return widthIn;
}
fio.components.Container.prototype.setX = function(xIn) {
	this._x = xIn;
	this._dirty = true;
	return xIn;
}
fio.components.Container.prototype.setY = function(yIn) {
	this._y = yIn;
	this._dirty = true;
	return yIn;
}
fio.components.Container.prototype.virtualRepaintRequired = function() {
	if(this.getOpaque()) {
		return false;
	}
	if(this._dirty) {
		return true;
	}
	var reqd = false;
	{
		var _g = 0, _g1 = this._children;
		while(_g < _g1.length) {
			var child = _g1[_g];
			++_g;
			reqd = child.virtualRepaintRequired();
			if(reqd) return true;
		}
	}
	return false;
}
fio.components.Container.prototype.__class__ = fio.components.Container;
fio.components.Panel = function(parentIn,xIn,yIn,widthIn,heightIn,opaqueColorIn,maskToSize) { if( parentIn === $_ ) return; {
	if(maskToSize == null) maskToSize = true;
	if(opaqueColorIn == null) opaqueColorIn = -1;
	fio.components.Container.apply(this,[parentIn,xIn,yIn,widthIn,heightIn,opaqueColorIn,maskToSize]);
	this._listenForMove = false;
	this._mouseover = false;
	this._listenForOver = false;
}}
fio.components.Panel.__name__ = ["fio","components","Panel"];
fio.components.Panel.__super__ = fio.components.Container;
for(var k in fio.components.Container.prototype ) fio.components.Panel.prototype[k] = fio.components.Container.prototype[k];
fio.components.Panel.prototype._listenForMove = null;
fio.components.Panel.prototype._listenForOver = null;
fio.components.Panel.prototype._mouseover = null;
fio.components.Panel.prototype.getCanvasXY = function() {
	var obj;
	var left = 0;
	var top = 0;
	obj = fio.components.RootPanel._rootCanvas;
	left = 0;
	top = 0;
	if(obj.offsetParent) {
		do {
			left += obj.offsetLeft;
			top += obj.offsetTop;
		} while(obj = obj.offsetParent);
	}
	return { left : Math.round(left), top : Math.round(top)}
}
fio.components.Panel.prototype.getMouseXY = function(event) {
	var mx;
	var my;
	if(event.layerX || event.layerX == 0) {
		mx = event.layerX;
		my = event.layerY;
	}
	else if(event.x || event.x == 0) {
		mx = event.x;
		my = event.y;
	}
	else {
		var canvasCoord = this.getCanvasXY();
		mx = Math.round(event.pageX - canvasCoord.left);
		my = Math.round(event.pageY - canvasCoord.top);
	}
	var xOffs = this.getGlobalX();
	var yOffs = this.getGlobalY();
	if(mx >= xOffs && mx <= xOffs + this.getWidth() && my >= yOffs && my <= yOffs + this.getHeight()) {
		return { x : (mx - xOffs), y : (my - yOffs)}
	}
	return { X : -1, y : -1}
}
fio.components.Panel.prototype.isMouseOver = function() {
	return this._mouseover;
}
fio.components.Panel.prototype.listenForMouseClick = function() {
	fio.components.RootPanel._rootCanvas.addEventListener("click",$closure(this,"onMouseClickInternal"),false);
}
fio.components.Panel.prototype.listenForMouseDown = function() {
	fio.components.RootPanel._rootCanvas.addEventListener("mousedown",$closure(this,"onMouseDownInternal"),false);
}
fio.components.Panel.prototype.listenForMouseMove = function() {
	this._listenForMove = true;
	if(!this._listenForOver) {
		fio.components.RootPanel._rootCanvas.addEventListener("mousemove",$closure(this,"onMouseMoveInternal"),false);
	}
}
fio.components.Panel.prototype.listenForMouseOver = function() {
	this._listenForOver = true;
	if(!this._listenForMove) {
		fio.components.RootPanel._rootCanvas.addEventListener("click",$closure(this,"onMouseClickInternal"),false);
	}
	fio.components.RootPanel._rootCanvas.addEventListener("mouseover",$closure(this,"onMouseEnterInternal"),false);
	fio.components.RootPanel._rootCanvas.addEventListener("mouseout",$closure(this,"onMouseLeaveInternal"),false);
}
fio.components.Panel.prototype.listenForMouseUp = function() {
	fio.components.RootPanel._rootCanvas.addEventListener("mouseup",$closure(this,"onMouseUpInternal"),false);
}
fio.components.Panel.prototype.onMouseClick = function(localX,localY) {
	null;
}
fio.components.Panel.prototype.onMouseClickInternal = function(event) {
	var mouse = this.getMouseXY(event);
	if(mouse.x != -1 && mouse.y != -1) {
		this.onMouseClick(mouse.x,mouse.y);
	}
}
fio.components.Panel.prototype.onMouseDown = function(localX,localY) {
	null;
}
fio.components.Panel.prototype.onMouseDownInternal = function(event) {
	var mouse = this.getMouseXY(event);
	if(mouse.x != -1 && mouse.y != -1) {
		this.onMouseDown(mouse.x,mouse.y);
	}
}
fio.components.Panel.prototype.onMouseEnter = function() {
	null;
}
fio.components.Panel.prototype.onMouseEnterInternal = function(event) {
	var mouse = this.getMouseXY(event);
	if(mouse.x != -1 && mouse.y != -1 && !this._mouseover) {
		this._mouseover = true;
		this.onMouseEnter();
	}
}
fio.components.Panel.prototype.onMouseLeave = function() {
	null;
}
fio.components.Panel.prototype.onMouseLeaveInternal = function(event) {
	if(this._mouseover) {
		this._mouseover = false;
		this.onMouseLeave();
	}
}
fio.components.Panel.prototype.onMouseMove = function(localX,localY) {
	null;
}
fio.components.Panel.prototype.onMouseMoveInternal = function(event) {
	var mouse = this.getMouseXY(event);
	if(mouse.x != -1 && mouse.y != -1) {
		if(this._listenForOver && !this._mouseover) {
			this._mouseover = true;
			this.onMouseEnter();
		}
		if(this._listenForMove) {
			this.onMouseMove(mouse.x,mouse.y);
		}
	}
	else if(this._listenForOver && this._mouseover) {
		this._mouseover = false;
		this.onMouseLeave();
	}
}
fio.components.Panel.prototype.onMouseUp = function(localX,localY) {
	null;
}
fio.components.Panel.prototype.onMouseUpInternal = function(event) {
	var mouse = this.getMouseXY(event);
	if(mouse.x != -1 && mouse.y != -1) {
		this.onMouseUp(mouse.x,mouse.y);
	}
}
fio.components.Panel.prototype.__class__ = fio.components.Panel;
if(!fio.util) fio.util = {}
fio.util.RadioSelectionButton = function() { }
fio.util.RadioSelectionButton.__name__ = ["fio","util","RadioSelectionButton"];
fio.util.RadioSelectionButton.prototype.changeRadioSelected = null;
fio.util.RadioSelectionButton.prototype.setRadioSelectionGroup = null;
fio.util.RadioSelectionButton.prototype.__class__ = fio.util.RadioSelectionButton;
if(!fio.widgets) fio.widgets = {}
fio.widgets.ChartButton = function(listener,chartIndex,xIn,yIn,width,height,backColor) { if( listener === $_ ) return; {
	fio.components.Panel.apply(this,[listener,xIn,yIn,width,height,backColor]);
	this._listener = (function($this) {
		var $r;
		var tmp = listener;
		$r = (Std["is"](tmp,fio.util.RadioClickListener)?tmp:(function($this) {
			var $r;
			throw "Class cast error";
			return $r;
		}($this)));
		return $r;
	}(this));
	this._chartIndex = chartIndex;
	this.listenForMouseMove();
	this.listenForMouseOver();
	this.listenForMouseClick();
	this._selected = false;
}}
fio.widgets.ChartButton.__name__ = ["fio","widgets","ChartButton"];
fio.widgets.ChartButton.__super__ = fio.components.Panel;
for(var k in fio.components.Panel.prototype ) fio.widgets.ChartButton.prototype[k] = fio.components.Panel.prototype[k];
fio.widgets.ChartButton.prototype._chartIndex = null;
fio.widgets.ChartButton.prototype._listener = null;
fio.widgets.ChartButton.prototype._selected = null;
fio.widgets.ChartButton.prototype._selectionGroup = null;
fio.widgets.ChartButton.prototype.addDataSource = function(dataLineStroke,points,labelKey) {
	null;
}
fio.widgets.ChartButton.prototype.changeRadioSelected = function(selected) {
	this._selected = selected;
	this.repaint();
}
fio.widgets.ChartButton.prototype.onMouseClick = function(localX,localY) {
	this.select();
	this._listener.selectChart(this._chartIndex);
}
fio.widgets.ChartButton.prototype.onMouseEnter = function() {
	if(!this._selected) {
		this.update();
	}
}
fio.widgets.ChartButton.prototype.onMouseLeave = function() {
	if(!this._selected) {
		this.update();
	}
}
fio.widgets.ChartButton.prototype.onMouseMove = function(localX,localY) {
	null;
}
fio.widgets.ChartButton.prototype.refreshLabels = function(mainChart) {
	null;
}
fio.widgets.ChartButton.prototype.reset = function() {
	null;
}
fio.widgets.ChartButton.prototype.select = function() {
	if(this._selectionGroup != null) {
		this._selectionGroup.selectButton(this);
	}
	else null;
}
fio.widgets.ChartButton.prototype.setRadioSelectionGroup = function(group) {
	this._selectionGroup = group;
}
fio.widgets.ChartButton.prototype.timeStep = function() {
	null;
}
fio.widgets.ChartButton.prototype.__class__ = fio.widgets.ChartButton;
fio.widgets.ChartButton.__interfaces__ = [fio.util.RadioSelectionButton];
if(!fio.graphics) fio.graphics = {}
fio.graphics.Fill = function() { }
fio.graphics.Fill.__name__ = ["fio","graphics","Fill"];
fio.graphics.Fill.prototype.beginFill = function(gx) {
	null;
}
fio.graphics.Fill.prototype.endFill = function(gx) {
	null;
}
fio.graphics.Fill.prototype.fillType = function() {
	return 0;
}
fio.graphics.Fill.prototype.__class__ = fio.graphics.Fill;
fio.graphics.FillSolid = function(fillColor) { if( fillColor === $_ ) return; {
	this._fillColor = fillColor;
}}
fio.graphics.FillSolid.__name__ = ["fio","graphics","FillSolid"];
fio.graphics.FillSolid.__super__ = fio.graphics.Fill;
for(var k in fio.graphics.Fill.prototype ) fio.graphics.FillSolid.prototype[k] = fio.graphics.Fill.prototype[k];
fio.graphics.FillSolid.prototype._fillColor = null;
fio.graphics.FillSolid.prototype._gx = null;
fio.graphics.FillSolid.prototype.beginFill = function(gx) {
	gx._targetContext.fillStyle = "#" + StringTools.hex(this._fillColor,6);
}
fio.graphics.FillSolid.prototype.endFill = function(gx) {
	null;
}
fio.graphics.FillSolid.prototype.fillType = function() {
	return 1;
}
fio.graphics.FillSolid.prototype.__class__ = fio.graphics.FillSolid;
fio.graphics.Stroke = function() { }
fio.graphics.Stroke.__name__ = ["fio","graphics","Stroke"];
fio.graphics.Stroke.prototype.beginStroke = function(gx) {
	null;
}
fio.graphics.Stroke.prototype.endStroke = function(gx) {
	null;
}
fio.graphics.Stroke.prototype.strokeType = function() {
	return 0;
}
fio.graphics.Stroke.prototype.__class__ = fio.graphics.Stroke;
fio.graphics.StrokeSolid = function(lineWidth,lineColor,alpha,joinStyle) { if( lineWidth === $_ ) return; {
	if(joinStyle == null) joinStyle = 1;
	if(alpha == null) alpha = 1;
	this._strokeAlpha = alpha;
	this._strokeWidth = lineWidth;
	this._strokeColor = "#" + StringTools.hex(lineColor,6);
	if(joinStyle == 1) {
		this._strokeJoinStyle = "bevel";
		this._strokeCapStyle = "butt";
	}
	else if(joinStyle == 2) {
		this._strokeJoinStyle = "miter";
		this._strokeCapStyle = "square";
	}
	else if(joinStyle == 3) {
		this._strokeJoinStyle = "round";
		this._strokeCapStyle = "round";
	}
}}
fio.graphics.StrokeSolid.__name__ = ["fio","graphics","StrokeSolid"];
fio.graphics.StrokeSolid.__super__ = fio.graphics.Stroke;
for(var k in fio.graphics.Stroke.prototype ) fio.graphics.StrokeSolid.prototype[k] = fio.graphics.Stroke.prototype[k];
fio.graphics.StrokeSolid.prototype._strokeAlpha = null;
fio.graphics.StrokeSolid.prototype._strokeCapStyle = null;
fio.graphics.StrokeSolid.prototype._strokeColor = null;
fio.graphics.StrokeSolid.prototype._strokeJoinStyle = null;
fio.graphics.StrokeSolid.prototype._strokeWidth = null;
fio.graphics.StrokeSolid.prototype.beginStroke = function(gx) {
	gx._targetContext.globalAlpha = this._strokeAlpha;
	gx._targetContext.lineWidth = this._strokeWidth;
	gx._targetContext.strokeStyle = this._strokeColor;
	gx._targetContext.lineJoin = this._strokeJoinStyle;
	gx._targetContext.lineCap = this._strokeCapStyle;
}
fio.graphics.StrokeSolid.prototype.endStroke = function(gx) {
	gx._targetContext.globalAlpha = 1;
}
fio.graphics.StrokeSolid.prototype.strokeType = function() {
	return 1;
}
fio.graphics.StrokeSolid.prototype.__class__ = fio.graphics.StrokeSolid;
fio.widgets.Chart = function(parentIn,xIn,yIn,width,height) { if( parentIn === $_ ) return; {
	fio.components.Panel.apply(this,[parentIn,xIn,yIn,width,height]);
}}
fio.widgets.Chart.__name__ = ["fio","widgets","Chart"];
fio.widgets.Chart.__super__ = fio.components.Panel;
for(var k in fio.components.Panel.prototype ) fio.widgets.Chart.prototype[k] = fio.components.Panel.prototype[k];
fio.widgets.Chart.prototype.addDataSource = function(label,keyColor,dataStroke,points,dataIdIn) {
	null;
}
fio.widgets.Chart.prototype.refreshLabels = function() {
	null;
}
fio.widgets.Chart.prototype.usesData = function(dataId) {
	return false;
}
fio.widgets.Chart.prototype.__class__ = fio.widgets.Chart;
fio.widgets.ReportChart = function(parentIn,xIn,yIn,width,height,yKeyLabel,backgroundTop,backgroundBottom,outlineColor,gridColor,labelColor,inactiveLineColor) { if( parentIn === $_ ) return; {
	if(inactiveLineColor == null) inactiveLineColor = 12303291;
	if(labelColor == null) labelColor = 3355443;
	if(gridColor == null) gridColor = 13684944;
	if(outlineColor == null) outlineColor = 14737632;
	if(backgroundBottom == null) backgroundBottom = 15000804;
	if(backgroundTop == null) backgroundTop = 16579836;
	if(yKeyLabel == null) yKeyLabel = "";
	if(height == null) height = 250;
	if(width == null) width = 720;
	fio.widgets.Chart.apply(this,[parentIn,xIn,yIn,width,height]);
	try {
		this._graphWidth = width - (fio.widgets.ReportChart.LEFT_MARGIN + fio.widgets.ReportChart.RIGHT_MARGIN);
		this._graphHeight = height - (fio.widgets.ReportChart.TOP_MARGIN + fio.widgets.ReportChart.BOTTOM_MARGIN);
		this._lineKeys = new Array();
		this._lineStroke = new Array();
		this._labelUnits = new Array();
		this._yLabel = yKeyLabel;
		this.setLabelUnits("units");
		this._chartFill = this.getGraphics().setFillSimpleLinearGradient(backgroundTop,backgroundBottom,1,1,0,this._graphHeight,Math.PI / 2);
		this._chartOutlineStroke = this.getGraphics().setStrokeSolid(1,outlineColor);
		this._chartGridStroke = this.getGraphics().setStrokeSolid(1,gridColor);
		this._inactiveLineStroke = this.getGraphics().setStrokeSolid(2,inactiveLineColor,0.3);
		this._graphLines = new fio.widgets.SmoothedHistogram(this,fio.widgets.ReportChart.LEFT_MARGIN + 1,fio.widgets.ReportChart.TOP_MARGIN + 1,this._graphWidth - 2,this._graphHeight - 2);
		this._xLabel0 = new fio.components.Label(this,fio.widgets.ReportChart.LEFT_MARGIN + 4,(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 16,120,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false);
		this._xLabel25 = new fio.components.Label(this,Math.round((fio.widgets.ReportChart.LEFT_MARGIN + 4) + (this._graphWidth / 4)),(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 16,120,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false);
		this._xLabel50 = new fio.components.Label(this,Math.round((fio.widgets.ReportChart.LEFT_MARGIN + 4) + (this._graphWidth / 2)),(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 16,120,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false);
		this._xLabel75 = new fio.components.Label(this,Math.round((fio.widgets.ReportChart.LEFT_MARGIN + 4) + ((this._graphWidth * 3) / 4)),(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 16,120,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false);
		this._yKey = new fio.components.Label(this,2,Math.round(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight),this._graphHeight,"Test",fio.reports.ReportsMain.BOLD_FONT,12,labelColor,true,false,false,2,true);
		this._yLabel100 = new fio.components.Label(this,0,fio.widgets.ReportChart.TOP_MARGIN - 8,fio.widgets.ReportChart.LEFT_MARGIN - 4,"",fio.reports.ReportsMain.MAIN_FONT,10,labelColor,false,false,false,3);
		this._yLabel75 = new fio.components.Label(this,0,Math.round((fio.widgets.ReportChart.TOP_MARGIN - 8) + (this._graphHeight / 4)),fio.widgets.ReportChart.LEFT_MARGIN - 4,"",fio.reports.ReportsMain.MAIN_FONT,10,labelColor,false,false,false,3);
		this._yLabel50 = new fio.components.Label(this,0,Math.round((fio.widgets.ReportChart.TOP_MARGIN - 8) + (this._graphHeight / 2)),fio.widgets.ReportChart.LEFT_MARGIN - 4,"",fio.reports.ReportsMain.MAIN_FONT,10,labelColor,false,false,false,3);
		this._yLabel25 = new fio.components.Label(this,0,Math.round((fio.widgets.ReportChart.TOP_MARGIN - 8) + ((this._graphHeight * 3) / 4)),fio.widgets.ReportChart.LEFT_MARGIN - 4,"",fio.reports.ReportsMain.MAIN_FONT,10,labelColor,false,false,false,3);
		this._yLabel0 = new fio.components.Label(this,0,Math.round((fio.widgets.ReportChart.TOP_MARGIN - 8) + (this._graphHeight)),fio.widgets.ReportChart.LEFT_MARGIN - 4,"",fio.reports.ReportsMain.MAIN_FONT,10,labelColor,false,false,false,3);
	}
	catch( $e0 ) {
		{
			var d = $e0;
			null;
		}
	}
}}
fio.widgets.ReportChart.__name__ = ["fio","widgets","ReportChart"];
fio.widgets.ReportChart.__super__ = fio.widgets.Chart;
for(var k in fio.widgets.Chart.prototype ) fio.widgets.ReportChart.prototype[k] = fio.widgets.Chart.prototype[k];
fio.widgets.ReportChart.prototype._chartFill = null;
fio.widgets.ReportChart.prototype._chartGridStroke = null;
fio.widgets.ReportChart.prototype._chartOutlineStroke = null;
fio.widgets.ReportChart.prototype._graphHeight = null;
fio.widgets.ReportChart.prototype._graphLines = null;
fio.widgets.ReportChart.prototype._graphWidth = null;
fio.widgets.ReportChart.prototype._inactiveLineStroke = null;
fio.widgets.ReportChart.prototype._labelUnits = null;
fio.widgets.ReportChart.prototype._lineKeys = null;
fio.widgets.ReportChart.prototype._lineStroke = null;
fio.widgets.ReportChart.prototype._xLabel0 = null;
fio.widgets.ReportChart.prototype._xLabel25 = null;
fio.widgets.ReportChart.prototype._xLabel50 = null;
fio.widgets.ReportChart.prototype._xLabel75 = null;
fio.widgets.ReportChart.prototype._yKey = null;
fio.widgets.ReportChart.prototype._yLabel = null;
fio.widgets.ReportChart.prototype._yLabel0 = null;
fio.widgets.ReportChart.prototype._yLabel100 = null;
fio.widgets.ReportChart.prototype._yLabel25 = null;
fio.widgets.ReportChart.prototype._yLabel50 = null;
fio.widgets.ReportChart.prototype._yLabel75 = null;
fio.widgets.ReportChart.prototype.addDataSource = function(label,keyColor,dataLineStroke,points,dataIdIn) {
	this._graphLines.addDataLine(dataLineStroke,points);
	this._lineStroke.push(dataLineStroke);
	var lineNum = this._lineKeys.length;
	var lineKey = new fio.widgets.ReportLineKey(this,fio.widgets.ReportChart.LEFT_MARGIN + (this._lineKeys.length * 60),(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) + 1,58,28,lineNum,label,keyColor);
	this._lineKeys.push(lineKey);
}
fio.widgets.ReportChart.prototype.createDatestamp = function(time,includeHours) {
	if(includeHours == null) includeHours = false;
	var date;
	var str = "";
	date = Date.fromTime(time);
	var month = date.getMonth();
	if(month == 0) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_JAN) + " ") + date.getFullYear();
	}
	else if(month == 1) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_FEB) + " ") + date.getFullYear();
	}
	else if(month == 2) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_MAR) + " ") + date.getFullYear();
	}
	else if(month == 3) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_APR) + " ") + date.getFullYear();
	}
	else if(month == 4) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_MAY) + " ") + date.getFullYear();
	}
	else if(month == 5) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_JUN) + " ") + date.getFullYear();
	}
	else if(month == 6) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_JUL) + " ") + date.getFullYear();
	}
	else if(month == 7) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_AUG) + " ") + date.getFullYear();
	}
	else if(month == 8) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_SEP) + " ") + date.getFullYear();
	}
	else if(month == 9) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_OCT) + " ") + date.getFullYear();
	}
	else if(month == 10) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_NOV) + " ") + date.getFullYear();
	}
	else if(month == 11) {
		str = (((date.getDate() + " ") + fio.reports.ReportsMain.MSG_DEC) + " ") + date.getFullYear();
	}
	if(includeHours) {
		var hours = date.getHours();
		var am = true;
		if(hours >= 12) {
			hours = hours - 12;
			am = false;
		}
		if(hours == 0) {
			hours = 12;
		}
		if(am) {
			str = (hours + "am ") + str;
		}
		else {
			str = (hours + "pm ") + str;
		}
	}
	return str;
}
fio.widgets.ReportChart.prototype.determineScale = function(value) {
	var scale = 0;
	var scaleFactor = 1;
	while(value / (scaleFactor * 1000) > 1.0) {
		scaleFactor = scaleFactor * 1000;
		scale = scale + 1;
	}
	if(scale >= this._labelUnits.length) {
		scale = this._labelUnits.length - 1;
		scaleFactor = 1;
		{
			var _g1 = 0, _g = this._labelUnits.length;
			while(_g1 < _g) {
				var i = _g1++;
				scaleFactor = scaleFactor * 1000;
			}
		}
	}
	var finalValue = this.scaleValue(value,scaleFactor);
	return { value : finalValue, units : this._labelUnits[scale], factor : scaleFactor}
}
fio.widgets.ReportChart.prototype.draw = function() {
	fio.widgets.Chart.prototype.draw.apply(this,[]);
	try {
		this.getGraphics().fillRect(fio.widgets.ReportChart.LEFT_MARGIN,fio.widgets.ReportChart.TOP_MARGIN,this._graphWidth,this._graphHeight,this._chartFill);
		var adj = 0;
		adj = 0.5;
		this.getGraphics().strokeRect(fio.widgets.ReportChart.LEFT_MARGIN - 1,fio.widgets.ReportChart.TOP_MARGIN - 1,this._graphWidth + 1,this._graphHeight + 1,this._chartOutlineStroke);
		this.getGraphics().strokePath([-10000.,fio.widgets.ReportChart.LEFT_MARGIN + 1,(fio.widgets.ReportChart.TOP_MARGIN + (this._graphHeight / 2)) - adj,-20000.,(fio.widgets.ReportChart.LEFT_MARGIN + this._graphWidth) - 1,(fio.widgets.ReportChart.TOP_MARGIN + (this._graphHeight / 2)) - adj],this._chartGridStroke);
		this.getGraphics().strokePath([-10000.,(fio.widgets.ReportChart.LEFT_MARGIN + (this._graphWidth / 4)) - adj,fio.widgets.ReportChart.TOP_MARGIN + 1,-20000.,(fio.widgets.ReportChart.LEFT_MARGIN + (this._graphWidth / 4)) - adj,(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 1],this._chartGridStroke);
		this.getGraphics().strokePath([-10000.,(fio.widgets.ReportChart.LEFT_MARGIN + (this._graphWidth / 2)) - adj,fio.widgets.ReportChart.TOP_MARGIN + 1,-20000.,(fio.widgets.ReportChart.LEFT_MARGIN + (this._graphWidth / 2)) - adj,(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 1],this._chartGridStroke);
		this.getGraphics().strokePath([-10000.,(fio.widgets.ReportChart.LEFT_MARGIN + ((this._graphWidth * 3) / 4)) - adj,fio.widgets.ReportChart.TOP_MARGIN + 1,-20000.,(fio.widgets.ReportChart.LEFT_MARGIN + ((this._graphWidth * 3) / 4)) - adj,(fio.widgets.ReportChart.TOP_MARGIN + this._graphHeight) - 1],this._chartGridStroke);
	}
	catch( $e1 ) {
		{
			var d = $e1;
			null;
		}
	}
}
fio.widgets.ReportChart.prototype.onMouseMove = function(localX,localY) {
	haxe.Log.trace(((".move " + localX) + ",") + localY,{ fileName : "ReportChart.hx", lineNumber : 300, className : "fio.widgets.ReportChart", methodName : "onMouseMove"});
}
fio.widgets.ReportChart.prototype.refreshLabels = function() {
	var max;
	var min;
	max = this._graphLines.getMaxY();
	min = this._graphLines.getMinY();
	var s = this.determineScale(max);
	var scaleFactor = s.factor;
	var yCaption = ((this._yLabel + " (") + s.units) + ")";
	this._yKey.setText(yCaption);
	this._yLabel100.setText(("" + this.scaleValue(max,scaleFactor)) + "");
	this._yLabel75.setText(("" + this.scaleValue(min + (((max - min) * 3) / 4),scaleFactor)) + "");
	this._yLabel50.setText(("" + this.scaleValue(min + ((max - min) / 2),scaleFactor)) + "");
	this._yLabel25.setText(("" + this.scaleValue(min + ((max - min) / 4),scaleFactor)) + "");
	this._yLabel0.setText(("" + this.scaleValue(min,scaleFactor)) + "");
	max = this._graphLines.getMaxX();
	min = this._graphLines.getMinX();
	var date;
	date = Date.fromTime(min);
	var showHours = false;
	if((max - min) < 864000000) {
		showHours = true;
	}
	if(min != max) {
		this._xLabel0.setText(this.createDatestamp(min,showHours));
		this._xLabel25.setText(this.createDatestamp(min + ((max - min) / 4),showHours));
		this._xLabel50.setText(this.createDatestamp(min + ((max - min) / 2),showHours));
		this._xLabel75.setText(this.createDatestamp(min + (((max - min) * 3) / 4),showHours));
	}
	else {
		this._xLabel0.setText("");
		this._xLabel25.setText("");
		this._xLabel50.setText("");
		this._xLabel75.setText("");
	}
}
fio.widgets.ReportChart.prototype.repaint = function(repaintFootprint,forceContainerRepaint,parentDirty) {
	if(parentDirty == null) parentDirty = false;
	if(forceContainerRepaint == null) forceContainerRepaint = false;
	if(repaintFootprint == null) repaintFootprint = false;
	fio.widgets.Chart.prototype.repaint.apply(this,[repaintFootprint,forceContainerRepaint,parentDirty]);
}
fio.widgets.ReportChart.prototype.scaleValue = function(value,scaleFactor) {
	var result = value / scaleFactor;
	if(result < 10) {
		result = (Math.round(result * 100) * 1.0) / 100.0;
	}
	else if(result < 100) {
		result = (Math.round(result * 10) * 1.0) / 10.0;
	}
	else {
		result = Math.round(result);
	}
	return result;
}
fio.widgets.ReportChart.prototype.setDataLineActive = function(lineNum,active) {
	if(active) {
		this._graphLines.setDataLineStroke(lineNum,this._lineStroke[lineNum]);
	}
	else {
		this._graphLines.setDataLineStroke(lineNum,this._inactiveLineStroke);
	}
}
fio.widgets.ReportChart.prototype.setLabelUnits = function(factorUnits,factorKUnits,factorMUnits,factorGUnits,factorTUnits,factorPUnits,factorEUnits) {
	this._labelUnits = new Array();
	this._labelUnits.push(factorUnits);
	if(factorKUnits != null) {
		this._labelUnits.push(factorKUnits);
	}
	if(factorMUnits != null) {
		this._labelUnits.push(factorMUnits);
	}
	if(factorGUnits != null) {
		this._labelUnits.push(factorGUnits);
	}
	if(factorTUnits != null) {
		this._labelUnits.push(factorTUnits);
	}
	if(factorPUnits != null) {
		this._labelUnits.push(factorPUnits);
	}
	if(factorEUnits != null) {
		this._labelUnits.push(factorEUnits);
	}
}
fio.widgets.ReportChart.prototype.usesData = function(dataId) {
	{
		var _g1 = 0, _g = this._lineKeys.length;
		while(_g1 < _g) {
			var i = _g1++;
			if(this._graphLines.getDataLineType(i) == dataId) {
				return true;
			}
		}
	}
	return false;
}
fio.widgets.ReportChart.prototype.__class__ = fio.widgets.ReportChart;
fio.widgets.ReportLineKey = function(parent,xIn,yIn,widthIn,heightIn,lineNumber,label,activeColor,inactiveColor) { if( parent === $_ ) return; {
	if(inactiveColor == null) inactiveColor = 10066329;
	fio.components.Panel.apply(this,[parent,xIn,yIn,widthIn,heightIn,16777215,true]);
	this._reportChart = parent;
	this._lineNumber = lineNumber;
	this._active = true;
	this.listenForMouseMove();
	this.listenForMouseOver();
	this.listenForMouseClick();
	this._fill = new fio.graphics.FillSolid(activeColor);
	this._inactiveFill = new fio.graphics.FillSolid(inactiveColor);
	this._outline = this.getGraphics().setStrokeSolid(1,0,0.1);
	this._highlightOutline = this.getGraphics().setStrokeSolid(2,activeColor,0.5);
	this._label = new fio.components.Label(this,0,5,widthIn,label,fio.reports.ReportsMain.BOLD_FONT,12,16777215,true,false,false,2);
}}
fio.widgets.ReportLineKey.__name__ = ["fio","widgets","ReportLineKey"];
fio.widgets.ReportLineKey.__super__ = fio.components.Panel;
for(var k in fio.components.Panel.prototype ) fio.widgets.ReportLineKey.prototype[k] = fio.components.Panel.prototype[k];
fio.widgets.ReportLineKey.prototype._active = null;
fio.widgets.ReportLineKey.prototype._fill = null;
fio.widgets.ReportLineKey.prototype._highlightOutline = null;
fio.widgets.ReportLineKey.prototype._inactiveFill = null;
fio.widgets.ReportLineKey.prototype._label = null;
fio.widgets.ReportLineKey.prototype._lineNumber = null;
fio.widgets.ReportLineKey.prototype._outline = null;
fio.widgets.ReportLineKey.prototype._reportChart = null;
fio.widgets.ReportLineKey.prototype.draw = function() {
	fio.components.Panel.prototype.draw.apply(this,[]);
	if(this._active) {
		this.getGraphics().fillRect(5,5,Math.round(this.getWidth() - 10),Math.round(this.getHeight() - 10),this._fill);
	}
	else {
		this.getGraphics().fillRect(5,5,Math.round(this.getWidth() - 10),Math.round(this.getHeight() - 10),this._inactiveFill);
	}
	this.getGraphics().strokeRect(5,5,Math.round((this.getWidth() - 10) - 1),Math.round((this.getHeight() - 10) - 1),this._outline);
	if(this.isMouseOver()) {
		this.getGraphics().strokeRect(5,5,Math.round(this.getWidth() - 10),Math.round(this.getHeight() - 10),this._highlightOutline);
	}
}
fio.widgets.ReportLineKey.prototype.onMouseClick = function(localX,localY) {
	if(this.isVisible()) {
		this._active = !this._active;
		this._reportChart.setDataLineActive(this._lineNumber,this._active);
		this.update();
	}
}
fio.widgets.ReportLineKey.prototype.onMouseEnter = function() {
	this.update();
}
fio.widgets.ReportLineKey.prototype.onMouseLeave = function() {
	this.update();
}
fio.widgets.ReportLineKey.prototype.__class__ = fio.widgets.ReportLineKey;
fio.util.Data = function() { }
fio.util.Data.__name__ = ["fio","util","Data"];
fio.util.Data.prototype._dataId = null;
fio.util.Data.prototype.addPoint = null;
fio.util.Data.prototype.clearPoints = null;
fio.util.Data.prototype.getDataType = null;
fio.util.Data.prototype.repaint = null;
fio.util.Data.prototype.timeStep = null;
fio.util.Data.prototype.__class__ = fio.util.Data;
fio.widgets.TimelineButton = function(parentIn,xIn,yIn,widthIn,heightIn) { if( parentIn === $_ ) return; {
	fio.components.Panel.apply(this,[parentIn,xIn,yIn,widthIn,heightIn,16777215]);
}}
fio.widgets.TimelineButton.__name__ = ["fio","widgets","TimelineButton"];
fio.widgets.TimelineButton.__super__ = fio.components.Panel;
for(var k in fio.components.Panel.prototype ) fio.widgets.TimelineButton.prototype[k] = fio.components.Panel.prototype[k];
fio.widgets.TimelineButton.prototype.draw = function() {
	fio.components.Panel.prototype.draw.apply(this,[]);
}
fio.widgets.TimelineButton.prototype.onMouseMove = function(localX,localY) {
	null;
}
fio.widgets.TimelineButton.prototype.__class__ = fio.widgets.TimelineButton;
StringTools = function() { }
StringTools.__name__ = ["StringTools"];
StringTools.urlEncode = function(s) {
	return encodeURIComponent(s);
}
StringTools.urlDecode = function(s) {
	return decodeURIComponent(s.split("+").join(" "));
}
StringTools.htmlEscape = function(s) {
	return s.split("&").join("&amp;").split("<").join("&lt;").split(">").join("&gt;");
}
StringTools.htmlUnescape = function(s) {
	return s.split("&gt;").join(">").split("&lt;").join("<").split("&amp;").join("&");
}
StringTools.startsWith = function(s,start) {
	return (s.length >= start.length && s.substr(0,start.length) == start);
}
StringTools.endsWith = function(s,end) {
	var elen = end.length;
	var slen = s.length;
	return (slen >= elen && s.substr(slen - elen,elen) == end);
}
StringTools.isSpace = function(s,pos) {
	var c = s.charCodeAt(pos);
	return (c >= 9 && c <= 13) || c == 32;
}
StringTools.ltrim = function(s) {
	var l = s.length;
	var r = 0;
	while(r < l && StringTools.isSpace(s,r)) {
		r++;
	}
	if(r > 0) return s.substr(r,l - r);
	else return s;
}
StringTools.rtrim = function(s) {
	var l = s.length;
	var r = 0;
	while(r < l && StringTools.isSpace(s,(l - r) - 1)) {
		r++;
	}
	if(r > 0) {
		return s.substr(0,l - r);
	}
	else {
		return s;
	}
}
StringTools.trim = function(s) {
	return StringTools.ltrim(StringTools.rtrim(s));
}
StringTools.rpad = function(s,c,l) {
	var sl = s.length;
	var cl = c.length;
	while(sl < l) {
		if(l - sl < cl) {
			s += c.substr(0,l - sl);
			sl = l;
		}
		else {
			s += c;
			sl += cl;
		}
	}
	return s;
}
StringTools.lpad = function(s,c,l) {
	var ns = "";
	var sl = s.length;
	if(sl >= l) return s;
	var cl = c.length;
	while(sl < l) {
		if(l - sl < cl) {
			ns += c.substr(0,l - sl);
			sl = l;
		}
		else {
			ns += c;
			sl += cl;
		}
	}
	return ns + s;
}
StringTools.replace = function(s,sub,by) {
	return s.split(sub).join(by);
}
StringTools.hex = function(n,digits) {
	var neg = false;
	if(n < 0) {
		neg = true;
		n = -n;
	}
	var s = n.toString(16);
	s = s.toUpperCase();
	if(digits != null) while(s.length < digits) s = "0" + s;
	if(neg) s = "-" + s;
	return s;
}
StringTools.prototype.__class__ = StringTools;
Reflect = function() { }
Reflect.__name__ = ["Reflect"];
Reflect.hasField = function(o,field) {
	if(o.hasOwnProperty != null) return o.hasOwnProperty(field);
	var arr = Reflect.fields(o);
	{ var $it2 = arr.iterator();
	while( $it2.hasNext() ) { var t = $it2.next();
	if(t == field) return true;
	}}
	return false;
}
Reflect.field = function(o,field) {
	var v = null;
	try {
		v = o[field];
	}
	catch( $e3 ) {
		{
			var e = $e3;
			null;
		}
	}
	return v;
}
Reflect.setField = function(o,field,value) {
	o[field] = value;
}
Reflect.callMethod = function(o,func,args) {
	return func.apply(o,args);
}
Reflect.fields = function(o) {
	if(o == null) return new Array();
	var a = new Array();
	if(o.hasOwnProperty) {
		
					for(var i in o)
						if( o.hasOwnProperty(i) )
							a.push(i);
				;
	}
	else {
		var t;
		try {
			t = o.__proto__;
		}
		catch( $e4 ) {
			{
				var e = $e4;
				{
					t = null;
				}
			}
		}
		if(t != null) o.__proto__ = null;
		
					for(var i in o)
						if( i != "__proto__" )
							a.push(i);
				;
		if(t != null) o.__proto__ = t;
	}
	return a;
}
Reflect.isFunction = function(f) {
	return typeof(f) == "function" && f.__name__ == null;
}
Reflect.compare = function(a,b) {
	return ((a == b)?0:((((a) > (b))?1:-1)));
}
Reflect.compareMethods = function(f1,f2) {
	if(f1 == f2) return true;
	if(!Reflect.isFunction(f1) || !Reflect.isFunction(f2)) return false;
	return f1.scope == f2.scope && f1.method == f2.method && f1.method != null;
}
Reflect.isObject = function(v) {
	if(v == null) return false;
	var t = typeof(v);
	return (t == "string" || (t == "object" && !v.__enum__) || (t == "function" && v.__name__ != null));
}
Reflect.deleteField = function(o,f) {
	if(!Reflect.hasField(o,f)) return false;
	delete(o[f]);
	return true;
}
Reflect.copy = function(o) {
	var o2 = { }
	{
		var _g = 0, _g1 = Reflect.fields(o);
		while(_g < _g1.length) {
			var f = _g1[_g];
			++_g;
			o2[f] = Reflect.field(o,f);
		}
	}
	return o2;
}
Reflect.makeVarArgs = function(f) {
	return function() {
		var a = new Array();
		{
			var _g1 = 0, _g = arguments.length;
			while(_g1 < _g) {
				var i = _g1++;
				a.push(arguments[i]);
			}
		}
		return f(a);
	}
}
Reflect.prototype.__class__ = Reflect;
if(typeof haxe=='undefined') haxe = {}
haxe.Log = function() { }
haxe.Log.__name__ = ["haxe","Log"];
haxe.Log.trace = function(v,infos) {
	js.Boot.__trace(v,infos);
}
haxe.Log.clear = function() {
	js.Boot.__clear_trace();
}
haxe.Log.prototype.__class__ = haxe.Log;
fio.components.RootPanel = function(xIn,yIn,widthIn,heightIn,jsElId,maskToSize,frameRateIn) { if( xIn === $_ ) return; {
	if(frameRateIn == null) frameRateIn = -1;
	if(maskToSize == null) maskToSize = false;
	if(jsElId == null) jsElId = "fioCanvas";
	this._elementId = jsElId;
	fio.components.Panel.apply(this,[null,xIn,yIn,widthIn,heightIn,16777215,maskToSize]);
	if(fio.components.RootPanel._root != null) {
		haxe.Log.trace("there can only be one.",{ fileName : "RootPanel.hx", lineNumber : 47, className : "fio.components.RootPanel", methodName : "new"});
	}
	else {
		fio.components.RootPanel._root = this;
	}
	if(frameRateIn != -1) {
		fio.components.RootPanel._frameRate = frameRateIn;
		fio.components.RootPanel._renderTimer = new haxe.Timer(Math.floor(1000 / fio.components.RootPanel._frameRate));
		fio.components.RootPanel._renderTimer.run = $closure(fio.components.RootPanel,"paintFrame");
	}
}}
fio.components.RootPanel.__name__ = ["fio","components","RootPanel"];
fio.components.RootPanel.__super__ = fio.components.Panel;
for(var k in fio.components.Panel.prototype ) fio.components.RootPanel.prototype[k] = fio.components.Panel.prototype[k];
fio.components.RootPanel._frameRate = null;
fio.components.RootPanel._rootCanvas = null;
fio.components.RootPanel._rootContext = null;
fio.components.RootPanel._backCanvas = null;
fio.components.RootPanel._backContext = null;
fio.components.RootPanel._renderTimer = null;
fio.components.RootPanel.paintFrame = function() {
	try {
		fio.components.RootPanel._isRepainting = true;
		fio.components.RootPanel._root.repaint();
		fio.components.RootPanel._rootContext.drawImage(fio.components.RootPanel._backCanvas,0,0);
		fio.components.RootPanel._isRepainting = false;
	}
	catch( $e5 ) {
		{
			var d = $e5;
			null;
		}
	}
}
fio.components.RootPanel.isRepainting = function() {
	if(fio.components.RootPanel._isRepainting) {
		return true;
	}
	return false;
}
fio.components.RootPanel.getGraphics = function() {
	return fio.components.RootPanel._root.getGraphics();
}
fio.components.RootPanel.clear = function() {
	if(fio.components.RootPanel._root != null) {
		fio.components.RootPanel._root = null;
	}
}
fio.components.RootPanel.prototype._elementId = null;
fio.components.RootPanel.prototype.addToNativeParent = function(newParent) {
	haxe.Log.trace("Unable to add a root panel to a container.",{ fileName : "RootPanel.hx", lineNumber : 108, className : "fio.components.RootPanel", methodName : "addToNativeParent"});
}
fio.components.RootPanel.prototype.constructNativePeer = function(parentIn) {
	this._x = 0;
	this._y = 0;
	this._width = 0;
	this._height = 0;
	fio.components.RootPanel._rootCanvas = js.Lib.document.getElementById(this._elementId);
	if(fio.components.RootPanel._rootCanvas.getContext) {
		fio.components.RootPanel._rootContext = fio.components.RootPanel._rootCanvas.getContext("2d");
		fio.components.RootPanel._backCanvas = js.Lib.document.createElement("canvas");
		fio.components.RootPanel._backCanvas.width = fio.components.RootPanel._rootCanvas.width;
		fio.components.RootPanel._backCanvas.height = fio.components.RootPanel._rootCanvas.height;
		fio.components.RootPanel._backContext = fio.components.RootPanel._backCanvas.getContext("2d");
		this._graphics = new fio.graphics.GraphicsContext(fio.components.RootPanel._backCanvas,fio.components.RootPanel._backContext);
	}
	else {
		haxe.Log.trace("Flash 10+ or a browser with HTML5 support required.",{ fileName : "RootPanel.hx", lineNumber : 84, className : "fio.components.RootPanel", methodName : "constructNativePeer"});
	}
}
fio.components.RootPanel.prototype.destroy = function() {
	fio.components.RootPanel._root = null;
	fio.components.RootPanel._rootCanvas = null;
	fio.components.RootPanel._rootContext = null;
	fio.components.RootPanel._backCanvas = null;
	fio.components.RootPanel._backContext = null;
}
fio.components.RootPanel.prototype.removeFromNativeParent = function() {
	haxe.Log.trace("Unable to remove a root panel from a container.",{ fileName : "RootPanel.hx", lineNumber : 113, className : "fio.components.RootPanel", methodName : "removeFromNativeParent"});
}
fio.components.RootPanel.prototype.__class__ = fio.components.RootPanel;
fio.util.RadioClickListener = function() { }
fio.util.RadioClickListener.__name__ = ["fio","util","RadioClickListener"];
fio.util.RadioClickListener.prototype.selectChart = null;
fio.util.RadioClickListener.prototype.__class__ = fio.util.RadioClickListener;
if(!fio.reports) fio.reports = {}
fio.reports.ReportsMaster = function(p) { if( p === $_ ) return; {
	fio.components.RootPanel.apply(this,[0,0,720,600,"reportsCanvas"]);
	this._charts = new Array();
	this._buttons = new Array();
	this._data = new Array();
	this._buttonGroup = new fio.util.RadioSelectionGroup();
	this._currentChart = -1;
}}
fio.reports.ReportsMaster.__name__ = ["fio","reports","ReportsMaster"];
fio.reports.ReportsMaster.__super__ = fio.components.RootPanel;
for(var k in fio.components.RootPanel.prototype ) fio.reports.ReportsMaster.prototype[k] = fio.components.RootPanel.prototype[k];
fio.reports.ReportsMaster.prototype._backgroundFill = null;
fio.reports.ReportsMaster.prototype._buttonGroup = null;
fio.reports.ReportsMaster.prototype._buttons = null;
fio.reports.ReportsMaster.prototype._charts = null;
fio.reports.ReportsMaster.prototype._currentChart = null;
fio.reports.ReportsMaster.prototype._data = null;
fio.reports.ReportsMaster.prototype.addChart = function(chartTitle,chartType,buttonLabels,factorUnits,factorKUnits,factorMUnits,factorGUnits,factorTUnits,factorPUnits,factorEUnits,yLabel) {
	try {
		var chartId = this._charts.length;
		var buttonY = Math.floor(chartId / fio.reports.ReportsMaster.BUTTON_COLUMNS);
		var buttonX = Math.floor(chartId - (buttonY * fio.reports.ReportsMaster.BUTTON_COLUMNS));
		if(chartType == fio.reports.ReportsMaster.CHART_TYPE_GRAPH) {
			var chart = new fio.widgets.ReportChart(this,0,0,720,250,yLabel,16579836,15000804,14737632,13684944,3355443,12303291);
			chart.setShown(false);
			chart.setLabelUnits(factorUnits,factorKUnits,factorMUnits,factorGUnits,factorTUnits,factorPUnits,factorEUnits);
			this._charts.push(chart);
			var button = new fio.widgets.ReportChartButton(this,chartId,33 + (buttonX * 350),250 + (buttonY * 100),chartTitle,buttonLabels);
			this._buttons.push(button);
			this._buttonGroup.addButton(button);
			return chartId;
		}
		else if(chartType == fio.reports.ReportsMaster.CHART_TYPE_TIMELINE) null;
	}
	catch( $e6 ) {
		{
			var d = $e6;
			null;
		}
	}
	return -1;
}
fio.reports.ReportsMaster.prototype.addChartDataSource = function(chartId,sourceColor,dataId,sourceName,buttonLabelKey) {
	try {
		while(dataId >= this._data.length) {
			var id = this._data.length;
			this._data.push(new fio.util.DataPoints(id));
		}
		var miniStroke = new fio.graphics.StrokeSolid(1,sourceColor);
		var mainStroke = new fio.graphics.StrokeSolid(2,sourceColor);
		this._charts[chartId].addDataSource(sourceName,sourceColor,mainStroke,this._data[dataId]);
		this._buttons[chartId].addDataSource(miniStroke,this._data[dataId],buttonLabelKey);
	}
	catch( $e7 ) {
		{
			var d = $e7;
			null;
		}
	}
}
fio.reports.ReportsMaster.prototype.addDataPoint = function(dataId,time,value) {
	try {
		while(dataId >= this._data.length) {
			var id = this._data.length;
			this._data.push(new fio.util.DataPoints(id));
		}
		if(dataId < this._data.length) {
			this._data[dataId].addPoint(time,value);
		}
	}
	catch( $e8 ) {
		{
			var d = $e8;
			null;
		}
	}
}
fio.reports.ReportsMaster.prototype.clearAllData = function() {
	try {
		{
			var _g1 = 0, _g = this._data.length;
			while(_g1 < _g) {
				var i = _g1++;
				this._data[i].clearPoints();
				this.dataUpdated(i);
			}
		}
		fio.components.RootPanel.paintFrame();
	}
	catch( $e9 ) {
		{
			var d = $e9;
			null;
		}
	}
}
fio.reports.ReportsMaster.prototype.clearData = function(dataId) {
	try {
		while(dataId >= this._data.length) {
			var id = this._data.length;
			this._data.push(new fio.util.DataPoints(id));
		}
		if(dataId < this._data.length) {
			this._data[dataId].clearPoints();
		}
	}
	catch( $e10 ) {
		{
			var d = $e10;
			null;
		}
	}
}
fio.reports.ReportsMaster.prototype.dataUpdated = function(dataId) {
	try {
		while(dataId >= this._data.length) {
			var id = this._data.length;
			this._data.push(new fio.util.DataPoints(id));
		}
		{
			var _g1 = 0, _g = this._charts.length;
			while(_g1 < _g) {
				var i = _g1++;
				if(this._charts[i].usesData(dataId)) {
					this._charts[i].refreshLabels();
					if(this._charts.length > 1) {
						this._buttons[i].refreshLabels(this._charts[i]);
					}
					this._charts[i].repaint();
					if(this._charts.length > 1) {
						this._buttons[i].repaint();
					}
				}
			}
		}
	}
	catch( $e11 ) {
		{
			var d = $e11;
			null;
		}
	}
}
fio.reports.ReportsMaster.prototype.destroy = function() {
	fio.components.RootPanel.prototype.destroy.apply(this,[]);
}
fio.reports.ReportsMaster.prototype.draw = function() {
	fio.components.RootPanel.prototype.draw.apply(this,[]);
	try {
		this.getGraphics().fillRect(0,0,this.getWidth(),this.getHeight(),this._backgroundFill);
	}
	catch( $e12 ) {
		{
			var d = $e12;
			null;
		}
	}
}
fio.reports.ReportsMaster.prototype.reset = function() {
	this.clearChildren(true);
	this._charts = new Array();
	this._buttons = new Array();
	this._data = new Array();
	this._buttonGroup = new fio.util.RadioSelectionGroup();
	this._currentChart = -1;
}
fio.reports.ReportsMaster.prototype.selectChart = function(index,sendEvent) {
	if(sendEvent == null) sendEvent = true;
	if(this._currentChart != index) {
		if(this._currentChart >= 0) {
			this._charts[this._currentChart].setShown(false);
		}
		this._currentChart = index;
		this._charts[this._currentChart].setShown(true);
		if(this._charts.length == 1) {
			{
				var _g1 = 0, _g = this._buttons.length;
				while(_g1 < _g) {
					var i = _g1++;
					this._buttons[i].setShown(false);
				}
			}
		}
		else {
			{
				var _g1 = 0, _g = this._buttons.length;
				while(_g1 < _g) {
					var i = _g1++;
					this._buttons[i].setShown(true);
				}
			}
			this._buttons[this._currentChart].select();
		}
		fio.components.RootPanel.paintFrame();
		if(sendEvent) {
			fio.reports.ReportsMain.chartSelected(index);
		}
	}
}
fio.reports.ReportsMaster.prototype.__class__ = fio.reports.ReportsMaster;
fio.reports.ReportsMaster.__interfaces__ = [fio.util.RadioClickListener];
StringBuf = function(p) { if( p === $_ ) return; {
	this.b = new Array();
}}
StringBuf.__name__ = ["StringBuf"];
StringBuf.prototype.add = function(x) {
	this.b[this.b.length] = x;
}
StringBuf.prototype.addChar = function(c) {
	this.b[this.b.length] = String.fromCharCode(c);
}
StringBuf.prototype.addSub = function(s,pos,len) {
	this.b[this.b.length] = s.substr(pos,len);
}
StringBuf.prototype.b = null;
StringBuf.prototype.toString = function() {
	return this.b.join("");
}
StringBuf.prototype.__class__ = StringBuf;
fio.graphics.FillLinearGradient = function(colors,alphas,ratios,offset,width,rotation) { if( colors === $_ ) return; {
	this._colors = colors;
	this._alphas = alphas;
	this._ratios = ratios;
	this._offset = offset;
	this._width = width;
	this._rotation = rotation;
}}
fio.graphics.FillLinearGradient.__name__ = ["fio","graphics","FillLinearGradient"];
fio.graphics.FillLinearGradient.__super__ = fio.graphics.Fill;
for(var k in fio.graphics.Fill.prototype ) fio.graphics.FillLinearGradient.prototype[k] = fio.graphics.Fill.prototype[k];
fio.graphics.FillLinearGradient.prototype._alphas = null;
fio.graphics.FillLinearGradient.prototype._colors = null;
fio.graphics.FillLinearGradient.prototype._offset = null;
fio.graphics.FillLinearGradient.prototype._ratios = null;
fio.graphics.FillLinearGradient.prototype._rotation = null;
fio.graphics.FillLinearGradient.prototype._width = null;
fio.graphics.FillLinearGradient.prototype.beginFill = function(gx) {
	var beginXOffset = this._offset * Math.cos(this._rotation);
	var beginYOffset = this._offset * Math.sin(this._rotation);
	var endXOffset = (this._offset + this._width) * Math.cos(this._rotation);
	var endYOffset = (this._offset + this._width) * Math.sin(this._rotation);
	var gradient;
	gradient = gx._targetContext.createLinearGradient(beginXOffset + gx.getContainerX(),beginYOffset + gx.getContainerY(),endXOffset + gx.getContainerX(),endYOffset + gx.getContainerY());
	{
		var _g1 = 0, _g = this._colors.length;
		while(_g1 < _g) {
			var i = _g1++;
			var stopLoc = 1.0;
			stopLoc = ((this._ratios[i] * 1000.0) / 255.0) / 1000.0;
			gradient.addColorStop(stopLoc,((((((("rgba(" + fio.graphics.GraphicsContext.getRedFromRGB(this._colors[i])) + ",") + fio.graphics.GraphicsContext.getGreenFromRGB(this._colors[i])) + ",") + fio.graphics.GraphicsContext.getBlueFromRGB(this._colors[i])) + ",") + this._alphas[i]) + ")");
		}
	}
	gx._targetContext.fillStyle = gradient;
}
fio.graphics.FillLinearGradient.prototype.endFill = function(gx) {
	gx._targetContext.fill();
}
fio.graphics.FillLinearGradient.prototype.fillType = function() {
	return 2;
}
fio.graphics.FillLinearGradient.prototype.__class__ = fio.graphics.FillLinearGradient;
fio.widgets.Timeline = function(parentIn,xIn,yIn,widthIn,heightIn) { if( parentIn === $_ ) return; {
	fio.components.Panel.apply(this,[parentIn,xIn,yIn,widthIn,heightIn]);
}}
fio.widgets.Timeline.__name__ = ["fio","widgets","Timeline"];
fio.widgets.Timeline.__super__ = fio.components.Panel;
for(var k in fio.components.Panel.prototype ) fio.widgets.Timeline.prototype[k] = fio.components.Panel.prototype[k];
fio.widgets.Timeline.prototype.draw = function() {
	fio.components.Panel.prototype.draw.apply(this,[]);
}
fio.widgets.Timeline.prototype.onMouseMove = function(localX,localY) {
	haxe.Log.trace(((".move " + localX) + ",") + localY,{ fileName : "Timeline.hx", lineNumber : 20, className : "fio.widgets.Timeline", methodName : "onMouseMove"});
}
fio.widgets.Timeline.prototype.__class__ = fio.widgets.Timeline;
haxe.Int32 = function() { }
haxe.Int32.__name__ = ["haxe","Int32"];
haxe.Int32.make = function(a,b) {
	return (a << 16) | b;
}
haxe.Int32.ofInt = function(x) {
	return x;
}
haxe.Int32.toInt = function(x) {
	if((((x) >> 30) & 1) != ((x) >>> 31)) throw "Overflow " + x;
	return (x) & -1;
}
haxe.Int32.toNativeInt = function(x) {
	return x;
}
haxe.Int32.add = function(a,b) {
	return (a) + (b);
}
haxe.Int32.sub = function(a,b) {
	return (a) - (b);
}
haxe.Int32.mul = function(a,b) {
	return (a) * (b);
}
haxe.Int32.div = function(a,b) {
	return Std["int"]((a) / (b));
}
haxe.Int32.mod = function(a,b) {
	return (a) % (b);
}
haxe.Int32.shl = function(a,b) {
	return (a) << b;
}
haxe.Int32.shr = function(a,b) {
	return (a) >> b;
}
haxe.Int32.ushr = function(a,b) {
	return (a) >>> b;
}
haxe.Int32.and = function(a,b) {
	return (a) & (b);
}
haxe.Int32.or = function(a,b) {
	return (a) | (b);
}
haxe.Int32.xor = function(a,b) {
	return (a) ^ (b);
}
haxe.Int32.neg = function(a) {
	return -(a);
}
haxe.Int32.complement = function(a) {
	return ~(a);
}
haxe.Int32.compare = function(a,b) {
	return a - b;
}
haxe.Int32.prototype.__class__ = haxe.Int32;
fio.reports.ReportsMain = function() { }
fio.reports.ReportsMain.__name__ = ["fio","reports","ReportsMain"];
fio.reports.ReportsMain._master = null;
fio.reports.ReportsMain._selectHandler = null;
fio.reports.ReportsMain.main = function() {
	fio.reports.ReportsMain.MAIN_FONT = "Helvetica";
	fio.reports.ReportsMain.BOLD_FONT = "Helvetica";
}
fio.reports.ReportsMain.init = function() {
	if(fio.reports.ReportsMain._master == null) {
		fio.reports.ReportsMain._master = new fio.reports.ReportsMaster();
	}
	fio.reports.ReportsMain._master.reset();
}
fio.reports.ReportsMain.setChartSelectionHandler = function(handler) {
	fio.reports.ReportsMain._selectHandler = handler;
}
fio.reports.ReportsMain.chartSelected = function(index) {
	if(fio.reports.ReportsMain._selectHandler != null) {
		fio.reports.ReportsMain._selectHandler(index);
	}
}
fio.reports.ReportsMain.destroy = function() {
	if(fio.reports.ReportsMain._master != null) {
		fio.components.RootPanel.clear();
		fio.reports.ReportsMain._master.reset();
		fio.reports.ReportsMain._master = null;
	}
}
fio.reports.ReportsMain.selectChart = function(index) {
	try {
		fio.reports.ReportsMain._master.selectChart(index,false);
	}
	catch( $e13 ) {
		{
			var d = $e13;
			null;
		}
	}
}
fio.reports.ReportsMain.addChart = function(chartTitle,chartType,buttonLabels,factorUnits,factorKUnits,factorMUnits,factorGUnits,factorTUnits,factorPUnits,factorEUnits,yLabel) {
	try {
		return fio.reports.ReportsMain._master.addChart(chartTitle,chartType,buttonLabels,factorUnits,factorKUnits,factorMUnits,factorGUnits,factorTUnits,factorPUnits,factorEUnits,yLabel);
	}
	catch( $e14 ) {
		{
			var d = $e14;
			{
				return -1;
			}
		}
	}
}
fio.reports.ReportsMain.addChartDataSource = function(chartId,sourceColor,dataId,sourceName,labelKey) {
	try {
		fio.reports.ReportsMain._master.addChartDataSource(chartId,sourceColor,dataId,sourceName,labelKey);
	}
	catch( $e15 ) {
		{
			var d = $e15;
			null;
		}
	}
}
fio.reports.ReportsMain.addDataPoint = function(dataId,time,value) {
	try {
		fio.reports.ReportsMain._master.addDataPoint(dataId,time,value);
	}
	catch( $e16 ) {
		{
			var d = $e16;
			null;
		}
	}
}
fio.reports.ReportsMain.clearData = function(dataId) {
	try {
		fio.reports.ReportsMain._master.clearData(dataId);
	}
	catch( $e17 ) {
		{
			var d = $e17;
			null;
		}
	}
}
fio.reports.ReportsMain.clearAllData = function() {
	try {
		fio.reports.ReportsMain._master.clearAllData();
	}
	catch( $e18 ) {
		{
			var d = $e18;
			null;
		}
	}
}
fio.reports.ReportsMain.updateData = function(dataId) {
	try {
		fio.reports.ReportsMain._master.dataUpdated(dataId);
		fio.components.RootPanel.paintFrame();
	}
	catch( $e19 ) {
		{
			var d = $e19;
			null;
		}
	}
}
fio.reports.ReportsMain.prototype.__class__ = fio.reports.ReportsMain;
if(!haxe.remoting) haxe.remoting = {}
haxe.remoting.Connection = function() { }
haxe.remoting.Connection.__name__ = ["haxe","remoting","Connection"];
haxe.remoting.Connection.prototype.call = null;
haxe.remoting.Connection.prototype.resolve = null;
haxe.remoting.Connection.prototype.__class__ = haxe.remoting.Connection;
Hash = function(p) { if( p === $_ ) return; {
	this.h = {}
	if(this.h.__proto__ != null) {
		this.h.__proto__ = null;
		delete(this.h.__proto__);
	}
	else null;
}}
Hash.__name__ = ["Hash"];
Hash.prototype.exists = function(key) {
	try {
		key = "$" + key;
		return this.hasOwnProperty.call(this.h,key);
	}
	catch( $e20 ) {
		{
			var e = $e20;
			{
				
				for(var i in this.h)
					if( i == key ) return true;
			;
				return false;
			}
		}
	}
}
Hash.prototype.get = function(key) {
	return this.h["$" + key];
}
Hash.prototype.h = null;
Hash.prototype.iterator = function() {
	return { ref : this.h, it : this.keys(), hasNext : function() {
		return this.it.hasNext();
	}, next : function() {
		var i = this.it.next();
		return this.ref["$" + i];
	}}
}
Hash.prototype.keys = function() {
	var a = new Array();
	
			for(var i in this.h)
				a.push(i.substr(1));
		;
	return a.iterator();
}
Hash.prototype.remove = function(key) {
	if(!this.exists(key)) return false;
	delete(this.h["$" + key]);
	return true;
}
Hash.prototype.set = function(key,value) {
	this.h["$" + key] = value;
}
Hash.prototype.toString = function() {
	var s = new StringBuf();
	s.b[s.b.length] = "{";
	var it = this.keys();
	{ var $it21 = it;
	while( $it21.hasNext() ) { var i = $it21.next();
	{
		s.b[s.b.length] = i;
		s.b[s.b.length] = " => ";
		s.b[s.b.length] = Std.string(this.get(i));
		if(it.hasNext()) s.b[s.b.length] = ", ";
	}
	}}
	s.b[s.b.length] = "}";
	return s.b.join("");
}
Hash.prototype.__class__ = Hash;
haxe.remoting.ExternalConnection = function(data,path) { if( data === $_ ) return; {
	this.__data = data;
	this.__path = path;
}}
haxe.remoting.ExternalConnection.__name__ = ["haxe","remoting","ExternalConnection"];
haxe.remoting.ExternalConnection.escapeString = function(s) {
	return s;
}
haxe.remoting.ExternalConnection.doCall = function(name,path,params) {
	try {
		var cnx = haxe.remoting.ExternalConnection.connections.get(name);
		if(cnx == null) throw "Unknown connection : " + name;
		if(cnx.__data.ctx == null) throw "No context shared for the connection " + name;
		var params1 = new haxe.Unserializer(params).unserialize();
		var ret = cnx.__data.ctx.call(path.split("."),params1);
		var s = new haxe.Serializer();
		s.serialize(ret);
		return s.toString() + "#";
	}
	catch( $e22 ) {
		{
			var e = $e22;
			{
				var s = new haxe.Serializer();
				s.serializeException(e);
				return s.toString();
			}
		}
	}
}
haxe.remoting.ExternalConnection.flashConnect = function(name,flashObjectID,ctx) {
	var cnx = new haxe.remoting.ExternalConnection({ ctx : ctx, name : name, flash : flashObjectID},[]);
	haxe.remoting.ExternalConnection.connections.set(name,cnx);
	return cnx;
}
haxe.remoting.ExternalConnection.prototype.__data = null;
haxe.remoting.ExternalConnection.prototype.__path = null;
haxe.remoting.ExternalConnection.prototype.call = function(params) {
	var s = new haxe.Serializer();
	s.serialize(params);
	var params1 = s.toString();
	var data = null;
	var fobj = window.document[this.__data.flash];
	if(fobj == null) fobj = window.document.getElementById[this.__data.flash];
	if(fobj == null) throw ("Could not find flash object '" + this.__data.flash) + "'";
	try {
		data = fobj.externalRemotingCall(this.__data.name,this.__path.join("."),params1);
	}
	catch( $e23 ) {
		{
			var e = $e23;
			null;
		}
	}
	if(data == null) throw "Call failure : ExternalConnection is not " + "initialized in Flash";
	return new haxe.Unserializer(data).unserialize();
}
haxe.remoting.ExternalConnection.prototype.close = function() {
	haxe.remoting.ExternalConnection.connections.remove(this.__data.name);
}
haxe.remoting.ExternalConnection.prototype.resolve = function(field) {
	var e = new haxe.remoting.ExternalConnection(this.__data,this.__path.copy());
	e.__path.push(field);
	return e;
}
haxe.remoting.ExternalConnection.prototype.__class__ = haxe.remoting.ExternalConnection;
haxe.remoting.ExternalConnection.__interfaces__ = [haxe.remoting.Connection];
fio.graphics.GraphicsContext = function(canvasIn,contextIn) { if( canvasIn === $_ ) return; {
	this._targetCanvas = canvasIn;
	this._targetContext = contextIn;
	this._currentFill = null;
	this._currentStroke = null;
}}
fio.graphics.GraphicsContext.__name__ = ["fio","graphics","GraphicsContext"];
fio.graphics.GraphicsContext.getRedFromRGB = function(color) {
	var c;
	var mask;
	c = color;
	mask = 16711680;
	return haxe.Int32.toInt(((c) & (mask)) >> 16);
}
fio.graphics.GraphicsContext.getGreenFromRGB = function(color) {
	var c;
	var mask;
	c = color;
	mask = 65280;
	return haxe.Int32.toInt(((c) & (mask)) >> 8);
}
fio.graphics.GraphicsContext.getBlueFromRGB = function(color) {
	var c;
	var mask;
	c = color;
	mask = 255;
	return haxe.Int32.toInt((c) & (mask));
}
fio.graphics.GraphicsContext.prototype._currentFill = null;
fio.graphics.GraphicsContext.prototype._currentStroke = null;
fio.graphics.GraphicsContext.prototype._targetCanvas = null;
fio.graphics.GraphicsContext.prototype._targetContext = null;
fio.graphics.GraphicsContext.prototype.containerX = null;
fio.graphics.GraphicsContext.prototype.containerY = null;
fio.graphics.GraphicsContext.prototype.copyCanvas = function(canvasIn,xIn,yIn) {
	this._targetContext.drawImage(canvasIn,xIn,yIn);
}
fio.graphics.GraphicsContext.prototype.executePath = function(pathPoints) {
	var i = 0;
	while(i < pathPoints.length) {
		if(pathPoints[i] == -20000. && i + 2 < pathPoints.length) {
			this._targetContext.lineTo(pathPoints[i + 1] + this.getContainerX(),pathPoints[i + 2] + this.getContainerY());
			i += 3;
		}
		else if(pathPoints[i] == -30000. && i + 4 < pathPoints.length) {
			this._targetContext.quadraticCurveTo(pathPoints[i + 1] + this.getContainerX(),pathPoints[i + 2] + this.getContainerY(),pathPoints[i + 3] + this.getContainerX(),pathPoints[i + 4] + this.getContainerY());
			i += 5;
		}
		else if(pathPoints[i] == -10000. && i + 2 < pathPoints.length) {
			this._targetContext.lineTo(pathPoints[i + 1] + this.getContainerX(),pathPoints[i + 2] + this.getContainerY());
			i += 3;
		}
		else {
			i += 1;
		}
	}
}
fio.graphics.GraphicsContext.prototype.fillCircle = function(x,y,r,fill) {
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(fill == null) {
		fill = this._currentFill;
	}
	if(fill != null) {
		fill.beginFill(this);
		this._targetContext.beginPath();
		this._targetContext.arc(x,y,r,0,Math.PI * 2,false);
		this._targetContext.closePath();
		this._targetContext.fill();
		fill.endFill(this);
	}
}
fio.graphics.GraphicsContext.prototype.fillPath = function(pathPoints,fill) {
	if(fill == null) {
		fill = this._currentFill;
	}
	if(fill != null) {
		fill.beginFill(this);
		this._targetContext.beginPath();
		this.executePath(pathPoints);
		this._targetContext.closePath();
		this._targetContext.fill();
		fill.endFill(this);
	}
}
fio.graphics.GraphicsContext.prototype.fillRect = function(destX,destY,width,height,fill) {
	destX = destX + this.getContainerX();
	destY = destY + this.getContainerY();
	if(fill == null) {
		fill = this._currentFill;
	}
	if(fill != null) {
		fill.beginFill(this);
		this._targetContext.fillRect(destX,destY,width,height);
		fill.endFill(this);
	}
}
fio.graphics.GraphicsContext.prototype.fillRoundedRect = function(x,y,w,h,r,fill) {
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(fill == null) {
		fill = this._currentFill;
	}
	if(fill != null) {
		fill.beginFill(this);
		this._targetContext.beginPath();
		this._targetContext.moveTo(x + r,y);
		this._targetContext.lineTo((x + w) - r,y);
		this._targetContext.quadraticCurveTo(x + w,y,x + w,y + r);
		this._targetContext.lineTo(x + w,(y + h) - r);
		this._targetContext.quadraticCurveTo(x + w,y + h,(x + w) - r,y + h);
		this._targetContext.lineTo(x + r,y + h);
		this._targetContext.quadraticCurveTo(x,y + h,x,(y + h) - r);
		this._targetContext.lineTo(x,y + r);
		this._targetContext.quadraticCurveTo(x,y,x + r,y);
		this._targetContext.closePath();
		this._targetContext.fill();
		fill.endFill(this);
	}
}
fio.graphics.GraphicsContext.prototype.fillWideArc = function(x,y,r1,r2,startAngle,endAngle,counterClockwise,fill) {
	if(counterClockwise == null) counterClockwise = false;
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(fill == null) {
		fill = this._currentFill;
	}
	if(fill != null) {
		fill.beginFill(this);
		var endRad = (endAngle * Math.PI) / 180;
		var startRad = (startAngle * Math.PI) / 180;
		this._targetContext.beginPath();
		this.lineArc(x,y,r2,startRad,endRad,counterClockwise);
		this._targetContext.lineTo(x + Math.cos(endRad) * r1,y + Math.sin(endRad) * r1);
		this.lineArc(x,y,r1,endRad,startRad,!counterClockwise);
		this._targetContext.lineTo(x + Math.cos(startRad) * r2,y + Math.sin(startRad) * r2);
		this._targetContext.closePath();
		this._targetContext.fill();
		fill.endFill(this);
	}
}
fio.graphics.GraphicsContext.prototype.flashClearFilter = function() {
	null;
}
fio.graphics.GraphicsContext.prototype.flashSetDropShadowFilter = function(shadowColor,shadowAlpha) {
	null;
}
fio.graphics.GraphicsContext.prototype.flashSetGlowFilter = function(glowColor,glowAlpha,blurX,blurY,strength) {
	if(strength == null) strength = 1;
	if(blurY == null) blurY = 8;
	if(blurX == null) blurX = 8;
}
fio.graphics.GraphicsContext.prototype.getContainerX = function() {
	return 0;
}
fio.graphics.GraphicsContext.prototype.getContainerY = function() {
	return 0;
}
fio.graphics.GraphicsContext.prototype.html5ClearGlow = function() {
	this._targetContext.restore();
}
fio.graphics.GraphicsContext.prototype.html5SetGlow = function(glowColor,glowAlpha,glowBlur,glowOffsetX,glowOffsetY) {
	if(glowOffsetY == null) glowOffsetY = 0;
	if(glowOffsetX == null) glowOffsetX = 0;
	this._targetContext.save();
	this._targetContext.shadowOffsetX = glowOffsetX;
	this._targetContext.shadowOffsetY = glowOffsetY;
	this._targetContext.shadowBlur = glowBlur;
	this._targetContext.shadowColor = ((((((("rgba(" + fio.graphics.GraphicsContext.getRedFromRGB(glowColor)) + ",") + fio.graphics.GraphicsContext.getGreenFromRGB(glowColor)) + ",") + fio.graphics.GraphicsContext.getBlueFromRGB(glowColor)) + ",") + glowAlpha) + ")";
}
fio.graphics.GraphicsContext.prototype.lineArc = function(x,y,r,startAngle,endAngle,counterClockwise,stroke) {
	if(counterClockwise == null) counterClockwise = false;
	this._targetContext.arc(x,y,r,startAngle,endAngle,counterClockwise);
}
fio.graphics.GraphicsContext.prototype.setFill = function(fill) {
	this._currentFill = fill;
}
fio.graphics.GraphicsContext.prototype.setFillLinearGradient = function(colors,alphas,ratios,offset,width,rotation) {
	var fill = new fio.graphics.FillLinearGradient(colors,alphas,ratios,offset,width,rotation);
	this._currentFill = fill;
	return fill;
}
fio.graphics.GraphicsContext.prototype.setFillSimpleLinearGradient = function(beginColor,endColor,beginAlpha,endAlpha,offset,width,rotation) {
	var colors = [beginColor,endColor];
	var alphas = [beginAlpha,endAlpha];
	var ratios = [0,255];
	return this.setFillLinearGradient(colors,alphas,ratios,offset,width,rotation);
}
fio.graphics.GraphicsContext.prototype.setFillSolid = function(fillColor) {
	var fill = new fio.graphics.FillSolid(fillColor);
	this._currentFill = fill;
	return fill;
}
fio.graphics.GraphicsContext.prototype.setStroke = function(stroke) {
	this._currentStroke = stroke;
}
fio.graphics.GraphicsContext.prototype.setStrokeSolid = function(lineWidth,lineColor,alpha,joinStyle) {
	if(joinStyle == null) joinStyle = 1;
	if(alpha == null) alpha = 1.0;
	var stroke = new fio.graphics.StrokeSolid(lineWidth,lineColor,alpha,joinStyle);
	this._currentStroke = stroke;
	return stroke;
}
fio.graphics.GraphicsContext.prototype.strokeArc = function(x,y,r,startAngle,endAngle,counterClockwise,stroke) {
	if(counterClockwise == null) counterClockwise = false;
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(stroke == null) {
		stroke = this._currentStroke;
	}
	if(stroke != null) {
		stroke.beginStroke(this);
		var endRad = (endAngle * Math.PI) / 180;
		var startRad = (startAngle * Math.PI) / 180;
		this._targetContext.beginPath();
		this.lineArc(x,y,r,startRad,endRad,counterClockwise);
		this._targetContext.stroke();
		stroke.endStroke(this);
	}
}
fio.graphics.GraphicsContext.prototype.strokeCircle = function(x,y,r,stroke) {
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(stroke == null) {
		stroke = this._currentStroke;
	}
	if(stroke != null) {
		stroke.beginStroke(this);
		this._targetContext.beginPath();
		this._targetContext.arc(x,y,r,0,Math.PI * 2,false);
		this._targetContext.stroke();
		stroke.endStroke(this);
	}
}
fio.graphics.GraphicsContext.prototype.strokePath = function(pathPoints,stroke,closed) {
	if(closed == null) closed = false;
	if(stroke == null) {
		stroke = this._currentStroke;
	}
	if(stroke != null) {
		stroke.beginStroke(this);
		this._targetContext.beginPath();
		this.executePath(pathPoints);
		if(closed) {
			this._targetContext.closePath();
		}
		this._targetContext.stroke();
		stroke.endStroke(this);
	}
}
fio.graphics.GraphicsContext.prototype.strokeRect = function(destX,destY,width,height,stroke) {
	destX = destX + this.getContainerX();
	destY = destY + this.getContainerY();
	if(stroke == null) {
		stroke = this._currentStroke;
	}
	if(stroke != null) {
		stroke.beginStroke(this);
		this._targetContext.strokeRect(destX + 0.5,destY + 0.5,width,height);
		stroke.endStroke(this);
	}
}
fio.graphics.GraphicsContext.prototype.strokeRoundedRect = function(x,y,w,h,r,stroke) {
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(stroke == null) {
		stroke = this._currentStroke;
	}
	if(stroke != null) {
		stroke.beginStroke(this);
		this._targetContext.beginPath();
		this._targetContext.moveTo(x + r,y + 0.5);
		this._targetContext.lineTo((x + w) - r,y + 0.5);
		this._targetContext.quadraticCurveTo(x + w,y - 0.5,(x + w) - 0.5,y + r);
		this._targetContext.lineTo((x + w) - 0.5,(y + h) - r);
		this._targetContext.quadraticCurveTo((x + w) - 0.5,y + h,(x + w) - r,(y + h) - 0.5);
		this._targetContext.lineTo(x + r,(y + h) - 0.5);
		this._targetContext.quadraticCurveTo(x,(y + h) - 0.5,x + 0.5,(y + h) - r);
		this._targetContext.lineTo(x + 0.5,y + r);
		this._targetContext.quadraticCurveTo(x + 0.5,y,x + r,y + 0.5);
		this._targetContext.closePath();
		this._targetContext.stroke();
		stroke.endStroke(this);
	}
}
fio.graphics.GraphicsContext.prototype.strokeWideArc = function(x,y,r1,r2,startAngle,endAngle,counterClockwise,stroke) {
	if(counterClockwise == null) counterClockwise = false;
	x = x + this.getContainerX();
	y = y + this.getContainerY();
	if(stroke == null) {
		stroke = this._currentStroke;
	}
	if(stroke != null) {
		stroke.beginStroke(this);
		var endRad = (endAngle * Math.PI) / 180;
		var startRad = (startAngle * Math.PI) / 180;
		this._targetContext.beginPath();
		this.lineArc(x,y,r2,startRad,endRad,counterClockwise);
		this._targetContext.lineTo(x + Math.cos(endRad) * r1,y + Math.sin(endRad) * r1);
		this.lineArc(x,y,r1,endRad,startRad,!counterClockwise);
		this._targetContext.lineTo(x + Math.cos(startRad) * r2,y + Math.sin(startRad) * r2);
		this._targetContext.closePath();
		this._targetContext.stroke();
		stroke.endStroke(this);
	}
}
fio.graphics.GraphicsContext.prototype.__class__ = fio.graphics.GraphicsContext;
fio.util.RadioSelectionGroup = function(group) { if( group === $_ ) return; {
	this._buttonGroup = new Array();
	if(group != null) {
		{
			var _g1 = 0, _g = group.length;
			while(_g1 < _g) {
				var i = _g1++;
				this.addButton(group[i]);
			}
		}
	}
	this._currentSelect = null;
}}
fio.util.RadioSelectionGroup.__name__ = ["fio","util","RadioSelectionGroup"];
fio.util.RadioSelectionGroup.prototype._buttonGroup = null;
fio.util.RadioSelectionGroup.prototype._currentSelect = null;
fio.util.RadioSelectionGroup.prototype.addButton = function(button) {
	this._buttonGroup.push(button);
	button.setRadioSelectionGroup(this);
}
fio.util.RadioSelectionGroup.prototype.removeButton = function(button) {
	if(this._currentSelect == button) {
		this._currentSelect = null;
	}
	this._buttonGroup.remove(button);
}
fio.util.RadioSelectionGroup.prototype.selectButton = function(button) {
	if(button == this._currentSelect) return;
	if(this._currentSelect != null) {
		this._currentSelect.changeRadioSelected(false);
	}
	this._currentSelect = button;
	this._currentSelect.changeRadioSelected(true);
}
fio.util.RadioSelectionGroup.prototype.__class__ = fio.util.RadioSelectionGroup;
if(!haxe.io) haxe.io = {}
haxe.io.Bytes = function(length,b) { if( length === $_ ) return; {
	this.length = length;
	this.b = b;
}}
haxe.io.Bytes.__name__ = ["haxe","io","Bytes"];
haxe.io.Bytes.alloc = function(length) {
	var a = new Array();
	{
		var _g = 0;
		while(_g < length) {
			var i = _g++;
			a.push(0);
		}
	}
	return new haxe.io.Bytes(length,a);
}
haxe.io.Bytes.ofString = function(s) {
	var a = new Array();
	{
		var _g1 = 0, _g = s.length;
		while(_g1 < _g) {
			var i = _g1++;
			var c = s["cca"](i);
			if(c <= 127) a.push(c);
			else if(c <= 2047) {
				a.push(192 | (c >> 6));
				a.push(128 | (c & 63));
			}
			else if(c <= 65535) {
				a.push(224 | (c >> 12));
				a.push(128 | ((c >> 6) & 63));
				a.push(128 | (c & 63));
			}
			else {
				a.push(240 | (c >> 18));
				a.push(128 | ((c >> 12) & 63));
				a.push(128 | ((c >> 6) & 63));
				a.push(128 | (c & 63));
			}
		}
	}
	return new haxe.io.Bytes(a.length,a);
}
haxe.io.Bytes.ofData = function(b) {
	return new haxe.io.Bytes(b.length,b);
}
haxe.io.Bytes.prototype.b = null;
haxe.io.Bytes.prototype.blit = function(pos,src,srcpos,len) {
	if(pos < 0 || srcpos < 0 || len < 0 || pos + len > this.length || srcpos + len > src.length) throw haxe.io.Error.OutsideBounds;
	var b1 = this.b;
	var b2 = src.b;
	if(b1 == b2 && pos > srcpos) {
		var i = len;
		while(i > 0) {
			i--;
			b1[i + pos] = b2[i + srcpos];
		}
		return;
	}
	{
		var _g = 0;
		while(_g < len) {
			var i = _g++;
			b1[i + pos] = b2[i + srcpos];
		}
	}
}
haxe.io.Bytes.prototype.compare = function(other) {
	var b1 = this.b;
	var b2 = other.b;
	var len = ((this.length < other.length)?this.length:other.length);
	{
		var _g = 0;
		while(_g < len) {
			var i = _g++;
			if(b1[i] != b2[i]) return b1[i] - b2[i];
		}
	}
	return this.length - other.length;
}
haxe.io.Bytes.prototype.get = function(pos) {
	return this.b[pos];
}
haxe.io.Bytes.prototype.getData = function() {
	return this.b;
}
haxe.io.Bytes.prototype.length = null;
haxe.io.Bytes.prototype.readString = function(pos,len) {
	if(pos < 0 || len < 0 || pos + len > this.length) throw haxe.io.Error.OutsideBounds;
	var s = "";
	var b = this.b;
	var fcc = $closure(String,"fromCharCode");
	var i = pos;
	var max = pos + len;
	while(i < max) {
		var c = b[i++];
		if(c < 128) {
			if(c == 0) break;
			s += fcc(c);
		}
		else if(c < 224) s += fcc(((c & 63) << 6) | (b[i++] & 127));
		else if(c < 240) {
			var c2 = b[i++];
			s += fcc((((c & 31) << 12) | ((c2 & 127) << 6)) | (b[i++] & 127));
		}
		else {
			var c2 = b[i++];
			var c3 = b[i++];
			s += fcc(((((c & 15) << 18) | ((c2 & 127) << 12)) | ((c3 << 6) & 127)) | (b[i++] & 127));
		}
	}
	return s;
}
haxe.io.Bytes.prototype.set = function(pos,v) {
	this.b[pos] = (v & 255);
}
haxe.io.Bytes.prototype.sub = function(pos,len) {
	if(pos < 0 || len < 0 || pos + len > this.length) throw haxe.io.Error.OutsideBounds;
	return new haxe.io.Bytes(len,this.b.slice(pos,pos + len));
}
haxe.io.Bytes.prototype.toString = function() {
	return this.readString(0,this.length);
}
haxe.io.Bytes.prototype.__class__ = haxe.io.Bytes;
fio.widgets.ReportChartButton = function(parentIn,chartIndex,xIn,yIn,title,numLabels,backColor,labelColor) { if( parentIn === $_ ) return; {
	if(labelColor == null) labelColor = 7829367;
	if(backColor == null) backColor = 16777215;
	fio.widgets.ChartButton.apply(this,[parentIn,chartIndex,xIn,yIn,325,85,backColor]);
	this._backColor = backColor;
	this._backFill = new fio.graphics.FillSolid(this._backColor);
	this.setStyle(15527148,13224393);
	this._numLabels = numLabels;
	if(this._numLabels == 1) {
		this._label1Key = new fio.components.Label(this,156,38,100,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false,false,false,1);
		this._label1Units = new fio.components.Label(this,240,40,50,"",fio.reports.ReportsMain.BOLD_FONT,12,labelColor,true,false,false,3);
		var unitsWidth = this._label1Units.getTextWidth();
		this._label1Value = new fio.components.Label(this,190 - unitsWidth,34,100,"",fio.reports.ReportsMain.BOLD_FONT,18,labelColor,true,false,false,3);
		this._label2Key = null;
		this._label2Units = null;
		this._label2Value = null;
	}
	else if(this._numLabels == 2) {
		this._label1Key = new fio.components.Label(this,156,29,100,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false,false,false,1);
		this._label1Units = new fio.components.Label(this,240,31,50,"",fio.reports.ReportsMain.BOLD_FONT,9,labelColor,true,false,false,3);
		var unitsWidth = this._label1Units.getTextWidth();
		this._label1Value = new fio.components.Label(this,190 - unitsWidth,29,100,"",fio.reports.ReportsMain.BOLD_FONT,11,labelColor,true,false,false,3);
		this._label2Key = new fio.components.Label(this,156,47,100,"",fio.reports.ReportsMain.MAIN_FONT,11,labelColor,false,false,false,1);
		this._label2Units = new fio.components.Label(this,240,49,50,"",fio.reports.ReportsMain.BOLD_FONT,9,labelColor,true,false,false,3);
		var unitsWidth1 = this._label2Units.getTextWidth();
		this._label2Value = new fio.components.Label(this,190 - unitsWidth1,47,100,"",fio.reports.ReportsMain.BOLD_FONT,11,labelColor,true,false,false,3);
	}
	this._title = new fio.components.Label(this,30,11,150,title,fio.reports.ReportsMain.BOLD_FONT,12,3355443,true);
	this._miniGraphLines = new fio.widgets.SmoothedHistogram(this,32,31,116,33);
}}
fio.widgets.ReportChartButton.__name__ = ["fio","widgets","ReportChartButton"];
fio.widgets.ReportChartButton.__super__ = fio.widgets.ChartButton;
for(var k in fio.widgets.ChartButton.prototype ) fio.widgets.ReportChartButton.prototype[k] = fio.widgets.ChartButton.prototype[k];
fio.widgets.ReportChartButton.prototype._backColor = null;
fio.widgets.ReportChartButton.prototype._backFill = null;
fio.widgets.ReportChartButton.prototype._buttonFill = null;
fio.widgets.ReportChartButton.prototype._glowOutline = null;
fio.widgets.ReportChartButton.prototype._innerButtonOutline = null;
fio.widgets.ReportChartButton.prototype._label1Key = null;
fio.widgets.ReportChartButton.prototype._label1Units = null;
fio.widgets.ReportChartButton.prototype._label1Value = null;
fio.widgets.ReportChartButton.prototype._label2Key = null;
fio.widgets.ReportChartButton.prototype._label2Units = null;
fio.widgets.ReportChartButton.prototype._label2Value = null;
fio.widgets.ReportChartButton.prototype._miniGraphFill = null;
fio.widgets.ReportChartButton.prototype._miniGraphLines = null;
fio.widgets.ReportChartButton.prototype._mouseoverFill = null;
fio.widgets.ReportChartButton.prototype._numLabels = null;
fio.widgets.ReportChartButton.prototype._outerButtonOutline = null;
fio.widgets.ReportChartButton.prototype._title = null;
fio.widgets.ReportChartButton.prototype.addDataSource = function(dataLineStroke,points,labelKey) {
	var num = this._miniGraphLines.addDataLine(dataLineStroke,points);
	this.adjustLabels(num,labelKey,null,null);
}
fio.widgets.ReportChartButton.prototype.adjustLabels = function(labelNum,key,value,units) {
	if(labelNum == 0) {
		if(key != null && this._label1Key != null) {
			this._label1Key.setText(key);
		}
		if(value != null && this._label1Value != null) {
			this._label1Value.setText(value);
		}
		if(units != null && this._label1Units != null) {
			this._label1Units.setText(units);
			var unitsWidth = this._label1Units.getTextWidth();
			this._label1Value.setX(190 - unitsWidth);
		}
	}
	else {
		if(key != null && this._label2Key != null) {
			this._label2Key.setText(key);
		}
		if(value != null && this._label2Value != null) {
			this._label2Value.setText(value);
		}
		if(units != null && this._label2Units != null) {
			this._label2Units.setText(units);
			var unitsWidth = this._label2Units.getTextWidth();
			this._label2Value.setX(190 - unitsWidth);
		}
	}
}
fio.widgets.ReportChartButton.prototype.draw = function() {
	fio.widgets.ChartButton.prototype.draw.apply(this,[]);
	if(this._selected) {
		this.getGraphics().flashClearFilter();
		this.getGraphics().fillRoundedRect(6,6,Math.round(this.getWidth() - 12),Math.round(this.getHeight() - 12),4,this._buttonFill);
		this.getGraphics().strokeRoundedRect(6,6,Math.round(this.getWidth() - 12),Math.round(this.getHeight() - 12),4,this._outerButtonOutline);
		this.getGraphics().strokeRoundedRect(7,7,Math.round(this.getWidth() - 14),Math.round(this.getHeight() - 14),4,this._innerButtonOutline);
	}
	else {
		if(this.isMouseOver()) {
			this.getGraphics().fillRoundedRect(6,6,Math.round(this.getWidth() - 12),Math.round(this.getHeight() - 12),4,this._mouseoverFill);
			this.getGraphics().strokeRoundedRect(6,6,Math.round(this.getWidth() - 12),Math.round(this.getHeight() - 12),4,this._glowOutline);
			this.getGraphics().strokeRoundedRect(7,7,Math.round(this.getWidth() - 14),Math.round(this.getHeight() - 14),4,this._innerButtonOutline);
		}
		else null;
	}
	this.getGraphics().fillRoundedRect(30,30,120,35,2,this._miniGraphFill);
	this.getGraphics().strokeRoundedRect(30,30,120,35,2,this._outerButtonOutline);
}
fio.widgets.ReportChartButton.prototype.refreshLabels = function(mainChart) {
	if(this._numLabels == 1) {
		var avg = this._miniGraphLines.getLineAverage(0);
		var s = (function($this) {
			var $r;
			var tmp = mainChart;
			$r = (Std["is"](tmp,fio.widgets.ReportChart)?tmp:(function($this) {
				var $r;
				throw "Class cast error";
				return $r;
			}($this)));
			return $r;
		}(this)).determineScale(avg);
		var val = "" + s.value;
		this.adjustLabels(0,null,val,s.units);
	}
	else {
		var avg = this._miniGraphLines.getLineAverage(0);
		var s = (function($this) {
			var $r;
			var tmp = mainChart;
			$r = (Std["is"](tmp,fio.widgets.ReportChart)?tmp:(function($this) {
				var $r;
				throw "Class cast error";
				return $r;
			}($this)));
			return $r;
		}(this)).determineScale(avg);
		var val = "" + s.value;
		this.adjustLabels(0,null,val,s.units);
		avg = this._miniGraphLines.getLineAverage(1);
		s = (function($this) {
			var $r;
			var tmp = mainChart;
			$r = (Std["is"](tmp,fio.widgets.ReportChart)?tmp:(function($this) {
				var $r;
				throw "Class cast error";
				return $r;
			}($this)));
			return $r;
		}(this)).determineScale(avg);
		val = "" + s.value;
		this.adjustLabels(1,null,val,s.units);
	}
}
fio.widgets.ReportChartButton.prototype.repaint = function(repaintFootprint,forceContainerRepaint,parentDirty) {
	if(parentDirty == null) parentDirty = false;
	if(forceContainerRepaint == null) forceContainerRepaint = false;
	if(repaintFootprint == null) repaintFootprint = false;
	fio.widgets.ChartButton.prototype.repaint.apply(this,[repaintFootprint,forceContainerRepaint,parentDirty]);
}
fio.widgets.ReportChartButton.prototype.setStyle = function(topButtonGradientColor,bottomButtonGradientColor) {
	this._buttonFill = this.getGraphics().setFillSimpleLinearGradient(topButtonGradientColor,bottomButtonGradientColor,1.0,1.0,0,this.getHeight(),Math.PI / 2);
	this._mouseoverFill = this.getGraphics().setFillSimpleLinearGradient(bottomButtonGradientColor,topButtonGradientColor,0.5,0.5,0,this.getHeight(),Math.PI / 2);
	this._miniGraphFill = this.getGraphics().setFillSolid(15658734);
	this._outerButtonOutline = this.getGraphics().setStrokeSolid(1,10066329,1);
	this._glowOutline = this.getGraphics().setStrokeSolid(1,10526975,1);
	this._innerButtonOutline = this.getGraphics().setStrokeSolid(1,16777215,0.3);
}
fio.widgets.ReportChartButton.prototype.__class__ = fio.widgets.ReportChartButton;
IntIter = function(min,max) { if( min === $_ ) return; {
	this.min = min;
	this.max = max;
}}
IntIter.__name__ = ["IntIter"];
IntIter.prototype.hasNext = function() {
	return this.min < this.max;
}
IntIter.prototype.max = null;
IntIter.prototype.min = null;
IntIter.prototype.next = function() {
	return this.min++;
}
IntIter.prototype.__class__ = IntIter;
fio.widgets.SmoothedHistogram = function(parentIn,xIn,yIn,widthIn,heightIn) { if( parentIn === $_ ) return; {
	fio.components.Container.apply(this,[parentIn,xIn,yIn,widthIn,heightIn,-1]);
	this._minYIsZero = true;
	this._bottomMarginPercent = 0;
	this._topMarginPercent = 0;
	this._linePoints = new Array();
	this._lineStroke = new Array();
}}
fio.widgets.SmoothedHistogram.__name__ = ["fio","widgets","SmoothedHistogram"];
fio.widgets.SmoothedHistogram.__super__ = fio.components.Container;
for(var k in fio.components.Container.prototype ) fio.widgets.SmoothedHistogram.prototype[k] = fio.components.Container.prototype[k];
fio.widgets.SmoothedHistogram.prototype._bottomMarginPercent = null;
fio.widgets.SmoothedHistogram.prototype._linePoints = null;
fio.widgets.SmoothedHistogram.prototype._lineStroke = null;
fio.widgets.SmoothedHistogram.prototype._minYIsZero = null;
fio.widgets.SmoothedHistogram.prototype._topMarginPercent = null;
fio.widgets.SmoothedHistogram.prototype.addDataLine = function(dataLineStroke,points) {
	var num = this._linePoints.length;
	this._linePoints.push((function($this) {
		var $r;
		var tmp = points;
		$r = (Std["is"](tmp,fio.util.DataPoints)?tmp:(function($this) {
			var $r;
			throw "Class cast error";
			return $r;
		}($this)));
		return $r;
	}(this)));
	this._lineStroke.push(dataLineStroke);
	this.repaint();
	return num;
}
fio.widgets.SmoothedHistogram.prototype.draw = function() {
	fio.components.Container.prototype.draw.apply(this,[]);
	try {
		var yMin = this.getMinY();
		var yMax = this.getMaxY();
		var xMin = this.getMinX();
		var xMax = this.getMaxX();
		var xRange = xMax - xMin;
		var yRange = yMax - yMin;
		var graphWidth = this.getWidth();
		var graphHeight = this.getHeight();
		{
			var _g1 = 0, _g = this._linePoints.length;
			while(_g1 < _g) {
				var l = _g1++;
				if(this._linePoints[l]._xValues.length > 1) {
					var path = new Array();
					{
						var _g3 = 0, _g2 = this._linePoints[l]._xValues.length;
						while(_g3 < _g2) {
							var p = _g3++;
							var xpos = ((this._linePoints[l]._xValues[p] - xMin) / xRange) * graphWidth;
							var ypos = ((this._linePoints[l]._yValues[p] - yMin) / yRange) * graphHeight;
							if(xpos < 0) xpos = 0;
							if(xpos > graphWidth) xpos = graphWidth;
							if(ypos < 0) ypos = 0;
							if(ypos > graphHeight) ypos = graphHeight;
							if(p == 0) {
								path.push(-10000.);
								path.push(xpos);
								path.push(graphHeight - ypos);
							}
							else {
								path.push(-20000.);
								path.push(xpos);
								path.push(graphHeight - ypos);
							}
						}
					}
					this.getGraphics().strokePath(path,this._lineStroke[l]);
				}
			}
		}
	}
	catch( $e24 ) {
		{
			var d = $e24;
			null;
		}
	}
}
fio.widgets.SmoothedHistogram.prototype.getDataLineType = function(lineNum) {
	return this._linePoints[lineNum].getDataType();
}
fio.widgets.SmoothedHistogram.prototype.getLineAverage = function(line) {
	var total = 0;
	if(line < this._linePoints.length) {
		{
			var _g1 = 0, _g = this._linePoints[line]._yValues.length;
			while(_g1 < _g) {
				var i = _g1++;
				total = total + this._linePoints[line]._yValues[i];
			}
		}
		return total / this._linePoints[line]._yValues.length;
	}
	return total;
}
fio.widgets.SmoothedHistogram.prototype.getMaxX = function() {
	if(this._linePoints.length == 0) {
		return 0;
	}
	var max = this._linePoints[0]._maxX;
	{
		var _g1 = 1, _g = this._linePoints.length;
		while(_g1 < _g) {
			var i = _g1++;
			if(this._linePoints[i]._maxX > max) {
				max = this._linePoints[i]._maxX;
			}
		}
	}
	return max;
}
fio.widgets.SmoothedHistogram.prototype.getMaxY = function() {
	var yMax;
	if(this._linePoints.length == 0) {
		return 0;
	}
	var min = this._linePoints[0]._minY;
	var max = this._linePoints[0]._maxY;
	{
		var _g1 = 1, _g = this._linePoints.length;
		while(_g1 < _g) {
			var i = _g1++;
			if(this._linePoints[i]._minY < min) {
				min = this._linePoints[i]._minY;
			}
			if(this._linePoints[i]._maxY > max) {
				max = this._linePoints[i]._maxY;
			}
		}
	}
	if(this._minYIsZero) {
		min = 0;
	}
	yMax = max + ((max - min) * this._topMarginPercent);
	return yMax;
}
fio.widgets.SmoothedHistogram.prototype.getMinX = function() {
	if(this._linePoints.length == 0) {
		return 0;
	}
	var min = this._linePoints[0]._minX;
	{
		var _g1 = 1, _g = this._linePoints.length;
		while(_g1 < _g) {
			var i = _g1++;
			if(this._linePoints[i]._minX < min) {
				min = this._linePoints[i]._minX;
			}
		}
	}
	return min;
}
fio.widgets.SmoothedHistogram.prototype.getMinY = function() {
	var yMin;
	if(this._minYIsZero) {
		yMin = 0;
	}
	else {
		if(this._linePoints.length == 0) {
			return 0;
		}
		var min = this._linePoints[0]._minY;
		var max = this._linePoints[0]._maxY;
		{
			var _g1 = 1, _g = this._linePoints.length;
			while(_g1 < _g) {
				var i = _g1++;
				if(this._linePoints[i]._minY < min) {
					min = this._linePoints[i]._minY;
				}
				if(this._linePoints[i]._maxY > max) {
					max = this._linePoints[i]._maxY;
				}
			}
		}
		yMin = min - ((max - min) * this._bottomMarginPercent);
	}
	return yMin;
}
fio.widgets.SmoothedHistogram.prototype.setDataLineStroke = function(lineNum,dataLineStroke) {
	this._lineStroke[lineNum] = dataLineStroke;
	this.repaint();
}
fio.widgets.SmoothedHistogram.prototype.setStyle = function(minYZero,smoothingFactor,bottomMargin,topMargin) {
	if(topMargin == null) topMargin = 0;
	if(bottomMargin == null) bottomMargin = 0;
	if(smoothingFactor == null) smoothingFactor = 1;
	if(minYZero == null) minYZero = true;
	this._minYIsZero = minYZero;
	this._bottomMarginPercent = bottomMargin;
	this._topMarginPercent = topMargin;
	this.repaint();
}
fio.widgets.SmoothedHistogram.prototype.__class__ = fio.widgets.SmoothedHistogram;
haxe.Timer = function(time_ms) { if( time_ms === $_ ) return; {
	this.id = haxe.Timer.arr.length;
	haxe.Timer.arr[this.id] = this;
	this.timerId = window.setInterval(("haxe.Timer.arr[" + this.id) + "].run();",time_ms);
}}
haxe.Timer.__name__ = ["haxe","Timer"];
haxe.Timer.delay = function(f,time_ms) {
	var t = new haxe.Timer(time_ms);
	t.run = function() {
		t.stop();
		f();
	}
	return t;
}
haxe.Timer.stamp = function() {
	return Date.now().getTime() / 1000;
}
haxe.Timer.prototype.id = null;
haxe.Timer.prototype.run = function() {
	null;
}
haxe.Timer.prototype.stop = function() {
	if(this.id == null) return;
	window.clearInterval(this.timerId);
	haxe.Timer.arr[this.id] = null;
	if(this.id > 100 && this.id == haxe.Timer.arr.length - 1) {
		var p = this.id - 1;
		while(p >= 0 && haxe.Timer.arr[p] == null) p--;
		haxe.Timer.arr = haxe.Timer.arr.slice(0,p + 1);
	}
	this.id = null;
}
haxe.Timer.prototype.timerId = null;
haxe.Timer.prototype.__class__ = haxe.Timer;
haxe.io.Error = { __ename__ : ["haxe","io","Error"], __constructs__ : ["Blocked","Overflow","OutsideBounds","Custom"] }
haxe.io.Error.Blocked = ["Blocked",0];
haxe.io.Error.Blocked.toString = $estr;
haxe.io.Error.Blocked.__enum__ = haxe.io.Error;
haxe.io.Error.Custom = function(e) { var $x = ["Custom",3,e]; $x.__enum__ = haxe.io.Error; $x.toString = $estr; return $x; }
haxe.io.Error.OutsideBounds = ["OutsideBounds",2];
haxe.io.Error.OutsideBounds.toString = $estr;
haxe.io.Error.OutsideBounds.__enum__ = haxe.io.Error;
haxe.io.Error.Overflow = ["Overflow",1];
haxe.io.Error.Overflow.toString = $estr;
haxe.io.Error.Overflow.__enum__ = haxe.io.Error;
fio.util.DataPoints = function(dataId) { if( dataId === $_ ) return; {
	this._dataId = dataId;
	this.clearPoints();
}}
fio.util.DataPoints.__name__ = ["fio","util","DataPoints"];
fio.util.DataPoints.prototype._dataId = null;
fio.util.DataPoints.prototype._maxX = null;
fio.util.DataPoints.prototype._maxY = null;
fio.util.DataPoints.prototype._minX = null;
fio.util.DataPoints.prototype._minY = null;
fio.util.DataPoints.prototype._xValues = null;
fio.util.DataPoints.prototype._yValues = null;
fio.util.DataPoints.prototype.addPoint = function(x,y) {
	var insPoint = this._xValues.length;
	var inserted = false;
	while(insPoint > 0) {
		insPoint--;
		if(x >= this._xValues[insPoint]) {
			this._xValues.insert(insPoint + 1,x);
			this._yValues.insert(insPoint + 1,y);
			inserted = true;
			break;
		}
	}
	if(!inserted) {
		this._xValues.insert(0,x);
		this._yValues.insert(0,y);
	}
	if(this._maxX == null || x > this._maxX) {
		this._maxX = x;
	}
	if(this._minX == null || x < this._minX) {
		this._minX = x;
	}
	if(this._maxY == null || y > this._maxY) {
		this._maxY = y;
	}
	if(this._minY == null || y < this._minY) {
		this._minY = y;
	}
}
fio.util.DataPoints.prototype.clearPoints = function() {
	this._minX = null;
	this._minY = null;
	this._maxX = null;
	this._maxY = null;
	this._xValues = new Array();
	this._yValues = new Array();
}
fio.util.DataPoints.prototype.getCurrent = function() {
	return 0;
}
fio.util.DataPoints.prototype.getDataType = function() {
	return this._dataId;
}
fio.util.DataPoints.prototype.repaint = function() {
	null;
}
fio.util.DataPoints.prototype.timeStep = function() {
	null;
}
fio.util.DataPoints.prototype.__class__ = fio.util.DataPoints;
fio.util.DataPoints.__interfaces__ = [fio.util.Data];
fio.util.DataPointsDeque = function(dataId,latestValues,dataCount,bufferMs) { if( dataId === $_ ) return; {
	if(bufferMs == null) bufferMs = 3000;
	if(dataCount == null) dataCount = 250;
	if(latestValues == null) latestValues = false;
	this._dataId = dataId;
	this._dataCount = dataCount;
	this._remaininBufferMs = bufferMs;
	this._resetBufferMs = bufferMs;
	this._latestValues = latestValues;
	this.clearPoints();
}}
fio.util.DataPointsDeque.__name__ = ["fio","util","DataPointsDeque"];
fio.util.DataPointsDeque.prototype._buffering = null;
fio.util.DataPointsDeque.prototype._currentTime = null;
fio.util.DataPointsDeque.prototype._dataCount = null;
fio.util.DataPointsDeque.prototype._dataId = null;
fio.util.DataPointsDeque.prototype._lastTime = null;
fio.util.DataPointsDeque.prototype._latestValues = null;
fio.util.DataPointsDeque.prototype._maxX = null;
fio.util.DataPointsDeque.prototype._maxY = null;
fio.util.DataPointsDeque.prototype._minX = null;
fio.util.DataPointsDeque.prototype._minY = null;
fio.util.DataPointsDeque.prototype._mintedTime = null;
fio.util.DataPointsDeque.prototype._paintFrameTime = null;
fio.util.DataPointsDeque.prototype._remaininBufferMs = null;
fio.util.DataPointsDeque.prototype._resetBufferMs = null;
fio.util.DataPointsDeque.prototype._xValues = null;
fio.util.DataPointsDeque.prototype._yValues = null;
fio.util.DataPointsDeque.prototype.addPoint = function(x,y) {
	if(this._xValues.length == 0) {
		this._currentTime = x;
		this._lastTime = x;
		this._minX = x;
		this._maxY = y;
	}
	this._xValues.push(x);
	this._yValues.push(y);
	if(this._yValues.length > this._dataCount) {
		this._xValues.shift();
		this._minX = this._xValues[0];
		var testMaxY = this._yValues.shift();
		if(testMaxY >= this._maxY) {
			var max = 0;
			{
				var _g1 = 0, _g = this._xValues.length - 1;
				while(_g1 < _g) {
					var i = _g1++;
					if(this._xValues[i] <= this._paintFrameTime) max = ((max < this._yValues[i])?this._yValues[i]:max);
					else break;
				}
			}
			this._maxY = max;
		}
	}
	this._maxX = x;
}
fio.util.DataPointsDeque.prototype.clearPoints = function() {
	this._minX = null;
	this._minY = 0;
	this._maxX = null;
	this._maxY = null;
	this._mintedTime = -1;
	this._currentTime = -1;
	this._lastTime = -1;
	this._paintFrameTime = -1;
	this._xValues = new Array();
	this._yValues = new Array();
	this._buffering = true;
	this._remaininBufferMs = this._resetBufferMs;
}
fio.util.DataPointsDeque.prototype.getCurrent = function() {
	if(this._xValues.length == 0) return 0;
	else if(this._xValues.length == 1) return this._yValues[0];
	var i = this._xValues.length - 1;
	while(i > 0) {
		if(this._xValues[i] > this._paintFrameTime) i--;
		else break;
	}
	var y;
	if(i == this._xValues.length - 1) {
		y = this._yValues[i];
	}
	else {
		var x_0 = this._xValues[i];
		var y_0 = this._yValues[i];
		var x_1 = this._xValues[i + 1];
		var y_1 = this._yValues[i + 1];
		y = y_0 + (this._paintFrameTime - x_0) * ((y_1 - y_0) / (x_1 - x_0));
		if(y < 0) {
			y = 0;
		}
	}
	if(this._maxY == null || y > this._maxY) {
		this._maxY = y;
	}
	return y;
}
fio.util.DataPointsDeque.prototype.getDataType = function() {
	return this._dataId;
}
fio.util.DataPointsDeque.prototype.repaint = function() {
	if(this._paintFrameTime + 33 < this._currentTime) {
		this._paintFrameTime += 33;
		if(this._paintFrameTime > this._currentTime) {
			this._paintFrameTime = this._currentTime;
		}
	}
}
fio.util.DataPointsDeque.prototype.timeStep = function() {
	if(!this._buffering) {
		this._currentTime += 500;
	}
	else {
		if(this._currentTime > -1 && this._remaininBufferMs != 0) {
			this._remaininBufferMs -= 500;
		}
		else {
			if(this._remaininBufferMs == 0) {
				this._mintedTime = this._currentTime;
				this._buffering = false;
			}
		}
	}
	this._paintFrameTime = this._lastTime;
	this._lastTime = this._currentTime;
}
fio.util.DataPointsDeque.prototype.__class__ = fio.util.DataPointsDeque;
fio.util.DataPointsDeque.__interfaces__ = [fio.util.Data];
Type = function() { }
Type.__name__ = ["Type"];
Type.getClass = function(o) {
	if(o == null) return null;
	if(o.__enum__ != null) return null;
	return o.__class__;
}
Type.getEnum = function(o) {
	if(o == null) return null;
	return o.__enum__;
}
Type.getSuperClass = function(c) {
	return c.__super__;
}
Type.getClassName = function(c) {
	if(c == null) return null;
	var a = c.__name__;
	return a.join(".");
}
Type.getEnumName = function(e) {
	var a = e.__ename__;
	return a.join(".");
}
Type.resolveClass = function(name) {
	var cl;
	try {
		cl = eval(name);
	}
	catch( $e25 ) {
		{
			var e = $e25;
			{
				cl = null;
			}
		}
	}
	if(cl == null || cl.__name__ == null) return null;
	return cl;
}
Type.resolveEnum = function(name) {
	var e;
	try {
		e = eval(name);
	}
	catch( $e26 ) {
		{
			var err = $e26;
			{
				e = null;
			}
		}
	}
	if(e == null || e.__ename__ == null) return null;
	return e;
}
Type.createInstance = function(cl,args) {
	if(args.length <= 3) return new cl(args[0],args[1],args[2]);
	if(args.length > 8) throw "Too many arguments";
	return new cl(args[0],args[1],args[2],args[3],args[4],args[5],args[6],args[7]);
}
Type.createEmptyInstance = function(cl) {
	return new cl($_);
}
Type.createEnum = function(e,constr,params) {
	var f = Reflect.field(e,constr);
	if(f == null) throw "No such constructor " + constr;
	if(Reflect.isFunction(f)) {
		if(params == null) throw ("Constructor " + constr) + " need parameters";
		return f.apply(e,params);
	}
	if(params != null && params.length != 0) throw ("Constructor " + constr) + " does not need parameters";
	return f;
}
Type.createEnumIndex = function(e,index,params) {
	var c = Type.getEnumConstructs(e)[index];
	if(c == null) throw index + " is not a valid enum constructor index";
	return Type.createEnum(e,c,params);
}
Type.getInstanceFields = function(c) {
	var a = Reflect.fields(c.prototype);
	a.remove("__class__");
	return a;
}
Type.getClassFields = function(c) {
	var a = Reflect.fields(c);
	a.remove("__name__");
	a.remove("__interfaces__");
	a.remove("__super__");
	a.remove("prototype");
	return a;
}
Type.getEnumConstructs = function(e) {
	return e.__constructs__;
}
Type["typeof"] = function(v) {
	switch(typeof(v)) {
	case "boolean":{
		return ValueType.TBool;
	}break;
	case "string":{
		return ValueType.TClass(String);
	}break;
	case "number":{
		if(Math.ceil(v) == v % 2147483648.0) return ValueType.TInt;
		return ValueType.TFloat;
	}break;
	case "object":{
		if(v == null) return ValueType.TNull;
		var e = v.__enum__;
		if(e != null) return ValueType.TEnum(e);
		var c = v.__class__;
		if(c != null) return ValueType.TClass(c);
		return ValueType.TObject;
	}break;
	case "function":{
		if(v.__name__ != null) return ValueType.TObject;
		return ValueType.TFunction;
	}break;
	case "undefined":{
		return ValueType.TNull;
	}break;
	default:{
		return ValueType.TUnknown;
	}break;
	}
}
Type.enumEq = function(a,b) {
	if(a == b) return true;
	try {
		if(a[0] != b[0]) return false;
		{
			var _g1 = 2, _g = a.length;
			while(_g1 < _g) {
				var i = _g1++;
				if(!Type.enumEq(a[i],b[i])) return false;
			}
		}
		var e = a.__enum__;
		if(e != b.__enum__ || e == null) return false;
	}
	catch( $e27 ) {
		{
			var e = $e27;
			{
				return false;
			}
		}
	}
	return true;
}
Type.enumConstructor = function(e) {
	return e[0];
}
Type.enumParameters = function(e) {
	return e.slice(2);
}
Type.enumIndex = function(e) {
	return e[1];
}
Type.prototype.__class__ = Type;
haxe.Unserializer = function(buf) { if( buf === $_ ) return; {
	this.buf = buf;
	this.length = buf.length;
	this.pos = 0;
	this.scache = new Array();
	this.cache = new Array();
	this.setResolver(haxe.Unserializer.DEFAULT_RESOLVER);
}}
haxe.Unserializer.__name__ = ["haxe","Unserializer"];
haxe.Unserializer.initCodes = function() {
	var codes = new Array();
	{
		var _g1 = 0, _g = haxe.Unserializer.BASE64.length;
		while(_g1 < _g) {
			var i = _g1++;
			codes[haxe.Unserializer.BASE64.cca(i)] = i;
		}
	}
	return codes;
}
haxe.Unserializer.run = function(v) {
	return new haxe.Unserializer(v).unserialize();
}
haxe.Unserializer.prototype.buf = null;
haxe.Unserializer.prototype.cache = null;
haxe.Unserializer.prototype.get = function(p) {
	return this.buf.cca(p);
}
haxe.Unserializer.prototype.length = null;
haxe.Unserializer.prototype.pos = null;
haxe.Unserializer.prototype.readDigits = function() {
	var k = 0;
	var s = false;
	var fpos = this.pos;
	while(true) {
		var c = this.buf.cca(this.pos);
		if(Math.isNaN(c)) break;
		if(c == 45) {
			if(this.pos != fpos) break;
			s = true;
			this.pos++;
			continue;
		}
		c -= 48;
		if(c < 0 || c > 9) break;
		k = k * 10 + c;
		this.pos++;
	}
	if(s) k *= -1;
	return k;
}
haxe.Unserializer.prototype.resolver = null;
haxe.Unserializer.prototype.scache = null;
haxe.Unserializer.prototype.setResolver = function(r) {
	if(r == null) this.resolver = { resolveClass : function(_) {
		return null;
	}, resolveEnum : function(_) {
		return null;
	}}
	else this.resolver = r;
}
haxe.Unserializer.prototype.unserialize = function() {
	switch(this.buf.cca(this.pos++)) {
	case 110:{
		return null;
	}break;
	case 116:{
		return true;
	}break;
	case 102:{
		return false;
	}break;
	case 122:{
		return 0;
	}break;
	case 105:{
		return this.readDigits();
	}break;
	case 100:{
		var p1 = this.pos;
		while(true) {
			var c = this.buf.cca(this.pos);
			if((c >= 43 && c < 58) || c == 101 || c == 69) this.pos++;
			else break;
		}
		return Std.parseFloat(this.buf.substr(p1,this.pos - p1));
	}break;
	case 121:{
		var len = this.readDigits();
		if(this.buf.charAt(this.pos++) != ":" || this.length - this.pos < len) throw "Invalid string length";
		var s = this.buf.substr(this.pos,len);
		this.pos += len;
		s = StringTools.urlDecode(s);
		this.scache.push(s);
		return s;
	}break;
	case 107:{
		return Math.NaN;
	}break;
	case 109:{
		return Math.NEGATIVE_INFINITY;
	}break;
	case 112:{
		return Math.POSITIVE_INFINITY;
	}break;
	case 97:{
		var buf = this.buf;
		var a = new Array();
		this.cache.push(a);
		while(true) {
			var c = this.buf.cca(this.pos);
			if(c == 104) {
				this.pos++;
				break;
			}
			if(c == 117) {
				this.pos++;
				var n = this.readDigits();
				a[(a.length + n) - 1] = null;
			}
			else a.push(this.unserialize());
		}
		return a;
	}break;
	case 111:{
		var o = { }
		this.cache.push(o);
		this.unserializeObject(o);
		return o;
	}break;
	case 114:{
		var n = this.readDigits();
		if(n < 0 || n >= this.cache.length) throw "Invalid reference";
		return this.cache[n];
	}break;
	case 82:{
		var n = this.readDigits();
		if(n < 0 || n >= this.scache.length) throw "Invalid string reference";
		return this.scache[n];
	}break;
	case 120:{
		throw this.unserialize();
	}break;
	case 99:{
		var name = this.unserialize();
		var cl = this.resolver.resolveClass(name);
		if(cl == null) throw "Class not found " + name;
		var o = Type.createEmptyInstance(cl);
		this.cache.push(o);
		this.unserializeObject(o);
		return o;
	}break;
	case 119:{
		var name = this.unserialize();
		var edecl = this.resolver.resolveEnum(name);
		if(edecl == null) throw "Enum not found " + name;
		return this.unserializeEnum(edecl,this.unserialize());
	}break;
	case 106:{
		var name = this.unserialize();
		var edecl = this.resolver.resolveEnum(name);
		if(edecl == null) throw "Enum not found " + name;
		this.pos++;
		var index = this.readDigits();
		var tag = Type.getEnumConstructs(edecl)[index];
		if(tag == null) throw (("Unknown enum index " + name) + "@") + index;
		return this.unserializeEnum(edecl,tag);
	}break;
	case 108:{
		var l = new List();
		this.cache.push(l);
		var buf = this.buf;
		while(this.buf.cca(this.pos) != 104) l.add(this.unserialize());
		this.pos++;
		return l;
	}break;
	case 98:{
		var h = new Hash();
		this.cache.push(h);
		var buf = this.buf;
		while(this.buf.cca(this.pos) != 104) {
			var s = this.unserialize();
			h.set(s,this.unserialize());
		}
		this.pos++;
		return h;
	}break;
	case 113:{
		var h = new IntHash();
		this.cache.push(h);
		var buf = this.buf;
		var c = this.buf.cca(this.pos++);
		while(c == 58) {
			var i = this.readDigits();
			h.set(i,this.unserialize());
			c = this.buf.cca(this.pos++);
		}
		if(c != 104) throw "Invalid IntHash format";
		return h;
	}break;
	case 118:{
		var d = Date.fromString(this.buf.substr(this.pos,19));
		this.cache.push(d);
		this.pos += 19;
		return d;
	}break;
	case 115:{
		var len = this.readDigits();
		var buf = this.buf;
		if(buf.charAt(this.pos++) != ":" || this.length - this.pos < len) throw "Invalid bytes length";
		var codes = haxe.Unserializer.CODES;
		if(codes == null) {
			codes = haxe.Unserializer.initCodes();
			haxe.Unserializer.CODES = codes;
		}
		var i = this.pos;
		var rest = len & 3;
		var size = (len >> 2) * 3 + (((rest >= 2)?rest - 1:0));
		var max = i + (len - rest);
		var bytes = haxe.io.Bytes.alloc(size);
		var bpos = 0;
		while(i < max) {
			var c1 = codes[buf.cca(i++)];
			var c2 = codes[buf.cca(i++)];
			bytes.b[bpos++] = (((c1 << 2) | (c2 >> 4)) & 255);
			var c3 = codes[buf.cca(i++)];
			bytes.b[bpos++] = (((c2 << 4) | (c3 >> 2)) & 255);
			var c4 = codes[buf.cca(i++)];
			bytes.b[bpos++] = (((c3 << 6) | c4) & 255);
		}
		if(rest >= 2) {
			var c1 = codes[buf.cca(i++)];
			var c2 = codes[buf.cca(i++)];
			bytes.b[bpos++] = (((c1 << 2) | (c2 >> 4)) & 255);
			if(rest == 3) {
				var c3 = codes[buf.cca(i++)];
				bytes.b[bpos++] = (((c2 << 4) | (c3 >> 2)) & 255);
			}
		}
		this.pos += len;
		this.cache.push(bytes);
		return bytes;
	}break;
	default:{
		null;
	}break;
	}
	this.pos--;
	throw ((("Invalid char " + this.buf.charAt(this.pos)) + " at position ") + this.pos);
}
haxe.Unserializer.prototype.unserializeEnum = function(edecl,tag) {
	var constr = Reflect.field(edecl,tag);
	if(constr == null) throw (("Unknown enum tag " + Type.getEnumName(edecl)) + ".") + tag;
	if(this.buf.cca(this.pos++) != 58) throw "Invalid enum format";
	var nargs = this.readDigits();
	if(nargs == 0) {
		this.cache.push(constr);
		return constr;
	}
	var args = new Array();
	while(nargs > 0) {
		args.push(this.unserialize());
		nargs -= 1;
	}
	var e = constr.apply(edecl,args);
	this.cache.push(e);
	return e;
}
haxe.Unserializer.prototype.unserializeObject = function(o) {
	while(true) {
		if(this.pos >= this.length) throw "Invalid object";
		if(this.buf.cca(this.pos) == 103) break;
		var k = this.unserialize();
		if(!Std["is"](k,String)) throw "Invalid object key";
		var v = this.unserialize();
		o[k] = v;
	}
	this.pos++;
}
haxe.Unserializer.prototype.__class__ = haxe.Unserializer;
haxe.remoting.Context = function(p) { if( p === $_ ) return; {
	this.objects = new Hash();
}}
haxe.remoting.Context.__name__ = ["haxe","remoting","Context"];
haxe.remoting.Context.share = function(name,obj) {
	var ctx = new haxe.remoting.Context();
	ctx.addObject(name,obj);
	return ctx;
}
haxe.remoting.Context.prototype.addObject = function(name,obj,recursive) {
	this.objects.set(name,{ obj : obj, rec : recursive});
}
haxe.remoting.Context.prototype.call = function(path,params) {
	if(path.length < 2) throw ("Invalid path '" + path.join(".")) + "'";
	var inf = this.objects.get(path[0]);
	if(inf == null) throw "No such object " + path[0];
	var o = inf.obj;
	var m = Reflect.field(o,path[1]);
	if(path.length > 2) {
		if(!inf.rec) throw "Can't access " + path.join(".");
		{
			var _g1 = 2, _g = path.length;
			while(_g1 < _g) {
				var i = _g1++;
				o = m;
				m = Reflect.field(o,path[i]);
			}
		}
	}
	if(!Reflect.isFunction(m)) throw "No such method " + path.join(".");
	return m.apply(o,params);
}
haxe.remoting.Context.prototype.objects = null;
haxe.remoting.Context.prototype.__class__ = haxe.remoting.Context;
Std = function() { }
Std.__name__ = ["Std"];
Std["is"] = function(v,t) {
	return js.Boot.__instanceof(v,t);
}
Std.string = function(s) {
	return js.Boot.__string_rec(s,"");
}
Std["int"] = function(x) {
	if(x < 0) return Math.ceil(x);
	return Math.floor(x);
}
Std.parseInt = function(x) {
	var v = parseInt(x);
	if(Math.isNaN(v)) return null;
	return v;
}
Std.parseFloat = function(x) {
	return parseFloat(x);
}
Std.random = function(x) {
	return Math.floor(Math.random() * x);
}
Std.prototype.__class__ = Std;
List = function(p) { if( p === $_ ) return; {
	this.length = 0;
}}
List.__name__ = ["List"];
List.prototype.add = function(item) {
	var x = [item];
	if(this.h == null) this.h = x;
	else this.q[1] = x;
	this.q = x;
	this.length++;
}
List.prototype.clear = function() {
	this.h = null;
	this.q = null;
	this.length = 0;
}
List.prototype.filter = function(f) {
	var l2 = new List();
	var l = this.h;
	while(l != null) {
		var v = l[0];
		l = l[1];
		if(f(v)) l2.add(v);
	}
	return l2;
}
List.prototype.first = function() {
	return (this.h == null?null:this.h[0]);
}
List.prototype.h = null;
List.prototype.isEmpty = function() {
	return (this.h == null);
}
List.prototype.iterator = function() {
	return { h : this.h, hasNext : function() {
		return (this.h != null);
	}, next : function() {
		if(this.h == null) return null;
		var x = this.h[0];
		this.h = this.h[1];
		return x;
	}}
}
List.prototype.join = function(sep) {
	var s = new StringBuf();
	var first = true;
	var l = this.h;
	while(l != null) {
		if(first) first = false;
		else s.b[s.b.length] = sep;
		s.b[s.b.length] = l[0];
		l = l[1];
	}
	return s.b.join("");
}
List.prototype.last = function() {
	return (this.q == null?null:this.q[0]);
}
List.prototype.length = null;
List.prototype.map = function(f) {
	var b = new List();
	var l = this.h;
	while(l != null) {
		var v = l[0];
		l = l[1];
		b.add(f(v));
	}
	return b;
}
List.prototype.pop = function() {
	if(this.h == null) return null;
	var x = this.h[0];
	this.h = this.h[1];
	if(this.h == null) this.q = null;
	this.length--;
	return x;
}
List.prototype.push = function(item) {
	var x = [item,this.h];
	this.h = x;
	if(this.q == null) this.q = x;
	this.length++;
}
List.prototype.q = null;
List.prototype.remove = function(v) {
	var prev = null;
	var l = this.h;
	while(l != null) {
		if(l[0] == v) {
			if(prev == null) this.h = l[1];
			else prev[1] = l[1];
			if(this.q == l) this.q = prev;
			this.length--;
			return true;
		}
		prev = l;
		l = l[1];
	}
	return false;
}
List.prototype.toString = function() {
	var s = new StringBuf();
	var first = true;
	var l = this.h;
	s.b[s.b.length] = "{";
	while(l != null) {
		if(first) first = false;
		else s.b[s.b.length] = ", ";
		s.b[s.b.length] = Std.string(l[0]);
		l = l[1];
	}
	s.b[s.b.length] = "}";
	return s.b.join("");
}
List.prototype.__class__ = List;
haxe.Serializer = function(p) { if( p === $_ ) return; {
	this.buf = new StringBuf();
	this.cache = new Array();
	this.useCache = haxe.Serializer.USE_CACHE;
	this.useEnumIndex = haxe.Serializer.USE_ENUM_INDEX;
	this.shash = new Hash();
	this.scount = 0;
}}
haxe.Serializer.__name__ = ["haxe","Serializer"];
haxe.Serializer.run = function(v) {
	var s = new haxe.Serializer();
	s.serialize(v);
	return s.toString();
}
haxe.Serializer.prototype.buf = null;
haxe.Serializer.prototype.cache = null;
haxe.Serializer.prototype.scount = null;
haxe.Serializer.prototype.serialize = function(v) {
	var $e = (Type["typeof"](v));
	switch( $e[1] ) {
	case 0:
	{
		this.buf.add("n");
	}break;
	case 1:
	{
		if(v == 0) {
			this.buf.add("z");
			return;
		}
		this.buf.add("i");
		this.buf.add(v);
	}break;
	case 2:
	{
		if(Math.isNaN(v)) this.buf.add("k");
		else if(!Math.isFinite(v)) this.buf.add((v < 0?"m":"p"));
		else {
			this.buf.add("d");
			this.buf.add(v);
		}
	}break;
	case 3:
	{
		this.buf.add((v?"t":"f"));
	}break;
	case 6:
	var c = $e[2];
	{
		if(c == String) {
			this.serializeString(v);
			return;
		}
		if(this.useCache && this.serializeRef(v)) return;
		switch(c) {
		case Array:{
			var ucount = 0;
			this.buf.add("a");
			var l = v["length"];
			{
				var _g = 0;
				while(_g < l) {
					var i = _g++;
					if(v[i] == null) ucount++;
					else {
						if(ucount > 0) {
							if(ucount == 1) this.buf.add("n");
							else {
								this.buf.add("u");
								this.buf.add(ucount);
							}
							ucount = 0;
						}
						this.serialize(v[i]);
					}
				}
			}
			if(ucount > 0) {
				if(ucount == 1) this.buf.add("n");
				else {
					this.buf.add("u");
					this.buf.add(ucount);
				}
			}
			this.buf.add("h");
		}break;
		case List:{
			this.buf.add("l");
			var v1 = v;
			{ var $it28 = v1.iterator();
			while( $it28.hasNext() ) { var i = $it28.next();
			this.serialize(i);
			}}
			this.buf.add("h");
		}break;
		case Date:{
			var d = v;
			this.buf.add("v");
			this.buf.add(d.toString());
		}break;
		case Hash:{
			this.buf.add("b");
			var v1 = v;
			{ var $it29 = v1.keys();
			while( $it29.hasNext() ) { var k = $it29.next();
			{
				this.serializeString(k);
				this.serialize(v1.get(k));
			}
			}}
			this.buf.add("h");
		}break;
		case IntHash:{
			this.buf.add("q");
			var v1 = v;
			{ var $it30 = v1.keys();
			while( $it30.hasNext() ) { var k = $it30.next();
			{
				this.buf.add(":");
				this.buf.add(k);
				this.serialize(v1.get(k));
			}
			}}
			this.buf.add("h");
		}break;
		case haxe.io.Bytes:{
			var v1 = v;
			var i = 0;
			var max = v1.length - 2;
			var chars = "";
			var b64 = haxe.Serializer.BASE64;
			while(i < max) {
				var b1 = v1.b[i++];
				var b2 = v1.b[i++];
				var b3 = v1.b[i++];
				chars += ((b64.charAt(b1 >> 2) + b64.charAt(((b1 << 4) | (b2 >> 4)) & 63)) + b64.charAt(((b2 << 2) | (b3 >> 6)) & 63)) + b64.charAt(b3 & 63);
			}
			if(i == max) {
				var b1 = v1.b[i++];
				var b2 = v1.b[i++];
				chars += (b64.charAt(b1 >> 2) + b64.charAt(((b1 << 4) | (b2 >> 4)) & 63)) + b64.charAt((b2 << 2) & 63);
			}
			else if(i == max + 1) {
				var b1 = v1.b[i++];
				chars += b64.charAt(b1 >> 2) + b64.charAt((b1 << 4) & 63);
			}
			this.buf.add("s");
			this.buf.add(chars.length);
			this.buf.add(":");
			this.buf.add(chars);
		}break;
		default:{
			this.cache.pop();
			this.buf.add("c");
			this.serializeString(Type.getClassName(c));
			this.cache.push(v);
			this.serializeFields(v);
		}break;
		}
	}break;
	case 4:
	{
		if(this.useCache && this.serializeRef(v)) return;
		this.buf.add("o");
		this.serializeFields(v);
	}break;
	case 7:
	var e = $e[2];
	{
		if(this.useCache && this.serializeRef(v)) return;
		this.cache.pop();
		this.buf.add((this.useEnumIndex?"j":"w"));
		this.serializeString(Type.getEnumName(e));
		if(this.useEnumIndex) {
			this.buf.add(":");
			this.buf.add(v[1]);
		}
		else this.serializeString(v[0]);
		this.buf.add(":");
		var l = v["length"];
		this.buf.add(l - 2);
		{
			var _g = 2;
			while(_g < l) {
				var i = _g++;
				this.serialize(v[i]);
			}
		}
		this.cache.push(v);
	}break;
	case 5:
	{
		throw "Cannot serialize function";
	}break;
	default:{
		throw "Cannot serialize " + Std.string(v);
	}break;
	}
}
haxe.Serializer.prototype.serializeException = function(e) {
	this.buf.add("x");
	this.serialize(e);
}
haxe.Serializer.prototype.serializeFields = function(v) {
	{
		var _g = 0, _g1 = Reflect.fields(v);
		while(_g < _g1.length) {
			var f = _g1[_g];
			++_g;
			this.serializeString(f);
			this.serialize(Reflect.field(v,f));
		}
	}
	this.buf.add("g");
}
haxe.Serializer.prototype.serializeRef = function(v) {
	var vt = typeof(v);
	{
		var _g1 = 0, _g = this.cache.length;
		while(_g1 < _g) {
			var i = _g1++;
			var ci = this.cache[i];
			if(typeof(ci) == vt && ci == v) {
				this.buf.add("r");
				this.buf.add(i);
				return true;
			}
		}
	}
	this.cache.push(v);
	return false;
}
haxe.Serializer.prototype.serializeString = function(s) {
	var x = this.shash.get(s);
	if(x != null) {
		this.buf.add("R");
		this.buf.add(x);
		return;
	}
	this.shash.set(s,this.scount++);
	this.buf.add("y");
	s = StringTools.urlEncode(s);
	this.buf.add(s.length);
	this.buf.add(":");
	this.buf.add(s);
}
haxe.Serializer.prototype.shash = null;
haxe.Serializer.prototype.toString = function() {
	return this.buf.b.join("");
}
haxe.Serializer.prototype.useCache = null;
haxe.Serializer.prototype.useEnumIndex = null;
haxe.Serializer.prototype.__class__ = haxe.Serializer;
ValueType = { __ename__ : ["ValueType"], __constructs__ : ["TNull","TInt","TFloat","TBool","TObject","TFunction","TClass","TEnum","TUnknown"] }
ValueType.TBool = ["TBool",3];
ValueType.TBool.toString = $estr;
ValueType.TBool.__enum__ = ValueType;
ValueType.TClass = function(c) { var $x = ["TClass",6,c]; $x.__enum__ = ValueType; $x.toString = $estr; return $x; }
ValueType.TEnum = function(e) { var $x = ["TEnum",7,e]; $x.__enum__ = ValueType; $x.toString = $estr; return $x; }
ValueType.TFloat = ["TFloat",2];
ValueType.TFloat.toString = $estr;
ValueType.TFloat.__enum__ = ValueType;
ValueType.TFunction = ["TFunction",5];
ValueType.TFunction.toString = $estr;
ValueType.TFunction.__enum__ = ValueType;
ValueType.TInt = ["TInt",1];
ValueType.TInt.toString = $estr;
ValueType.TInt.__enum__ = ValueType;
ValueType.TNull = ["TNull",0];
ValueType.TNull.toString = $estr;
ValueType.TNull.__enum__ = ValueType;
ValueType.TObject = ["TObject",4];
ValueType.TObject.toString = $estr;
ValueType.TObject.__enum__ = ValueType;
ValueType.TUnknown = ["TUnknown",8];
ValueType.TUnknown.toString = $estr;
ValueType.TUnknown.__enum__ = ValueType;
if(typeof js=='undefined') js = {}
js.Lib = function() { }
js.Lib.__name__ = ["js","Lib"];
js.Lib.isIE = null;
js.Lib.isOpera = null;
js.Lib.document = null;
js.Lib.window = null;
js.Lib.alert = function(v) {
	alert(js.Boot.__string_rec(v,""));
}
js.Lib.eval = function(code) {
	return eval(code);
}
js.Lib.setErrorHandler = function(f) {
	js.Lib.onerror = f;
}
js.Lib.prototype.__class__ = js.Lib;
js.Boot = function() { }
js.Boot.__name__ = ["js","Boot"];
js.Boot.__unhtml = function(s) {
	return s.split("&").join("&amp;").split("<").join("&lt;").split(">").join("&gt;");
}
js.Boot.__trace = function(v,i) {
	var msg = (i != null?((i.fileName + ":") + i.lineNumber) + ": ":"");
	msg += js.Boot.__unhtml(js.Boot.__string_rec(v,"")) + "<br/>";
	var d = document.getElementById("haxe:trace");
	if(d == null) alert("No haxe:trace element defined\n" + msg);
	else d.innerHTML += msg;
}
js.Boot.__clear_trace = function() {
	var d = document.getElementById("haxe:trace");
	if(d != null) d.innerHTML = "";
	else null;
}
js.Boot.__closure = function(o,f) {
	var m = o[f];
	if(m == null) return null;
	var f1 = function() {
		return m.apply(o,arguments);
	}
	f1.scope = o;
	f1.method = m;
	return f1;
}
js.Boot.__string_rec = function(o,s) {
	if(o == null) return "null";
	if(s.length >= 5) return "<...>";
	var t = typeof(o);
	if(t == "function" && (o.__name__ != null || o.__ename__ != null)) t = "object";
	switch(t) {
	case "object":{
		if(o instanceof Array) {
			if(o.__enum__ != null) {
				if(o.length == 2) return o[0];
				var str = o[0] + "(";
				s += "\t";
				{
					var _g1 = 2, _g = o.length;
					while(_g1 < _g) {
						var i = _g1++;
						if(i != 2) str += "," + js.Boot.__string_rec(o[i],s);
						else str += js.Boot.__string_rec(o[i],s);
					}
				}
				return str + ")";
			}
			var l = o.length;
			var i;
			var str = "[";
			s += "\t";
			{
				var _g = 0;
				while(_g < l) {
					var i1 = _g++;
					str += ((i1 > 0?",":"")) + js.Boot.__string_rec(o[i1],s);
				}
			}
			str += "]";
			return str;
		}
		var tostr;
		try {
			tostr = o.toString;
		}
		catch( $e31 ) {
			{
				var e = $e31;
				{
					return "???";
				}
			}
		}
		if(tostr != null && tostr != Object.toString) {
			var s2 = o.toString();
			if(s2 != "[object Object]") return s2;
		}
		var k = null;
		var str = "{\n";
		s += "\t";
		var hasp = (o.hasOwnProperty != null);
		for( var k in o ) { ;
		if(hasp && !o.hasOwnProperty(k)) continue;
		if(k == "prototype" || k == "__class__" || k == "__super__" || k == "__interfaces__") continue;
		if(str.length != 2) str += ", \n";
		str += ((s + k) + " : ") + js.Boot.__string_rec(o[k],s);
		}
		s = s.substring(1);
		str += ("\n" + s) + "}";
		return str;
	}break;
	case "function":{
		return "<function>";
	}break;
	case "string":{
		return o;
	}break;
	default:{
		return String(o);
	}break;
	}
}
js.Boot.__interfLoop = function(cc,cl) {
	if(cc == null) return false;
	if(cc == cl) return true;
	var intf = cc.__interfaces__;
	if(intf != null) {
		var _g1 = 0, _g = intf.length;
		while(_g1 < _g) {
			var i = _g1++;
			var i1 = intf[i];
			if(i1 == cl || js.Boot.__interfLoop(i1,cl)) return true;
		}
	}
	return js.Boot.__interfLoop(cc.__super__,cl);
}
js.Boot.__instanceof = function(o,cl) {
	try {
		if(o instanceof cl) {
			if(cl == Array) return (o.__enum__ == null);
			return true;
		}
		if(js.Boot.__interfLoop(o.__class__,cl)) return true;
	}
	catch( $e32 ) {
		{
			var e = $e32;
			{
				if(cl == null) return false;
			}
		}
	}
	switch(cl) {
	case Int:{
		return Math.ceil(o%2147483648.0) === o;
	}break;
	case Float:{
		return typeof(o) == "number";
	}break;
	case Bool:{
		return o === true || o === false;
	}break;
	case String:{
		return typeof(o) == "string";
	}break;
	case Dynamic:{
		return true;
	}break;
	default:{
		if(o == null) return false;
		return o.__enum__ == cl || (cl == Class && o.__name__ != null) || (cl == Enum && o.__ename__ != null);
	}break;
	}
}
js.Boot.__init = function() {
	js.Lib.isIE = (typeof document!='undefined' && document.all != null && typeof window!='undefined' && window.opera == null);
	js.Lib.isOpera = (typeof window!='undefined' && window.opera != null);
	Array.prototype.copy = Array.prototype.slice;
	Array.prototype.insert = function(i,x) {
		this.splice(i,0,x);
	}
	Array.prototype.remove = (Array.prototype.indexOf?function(obj) {
		var idx = this.indexOf(obj);
		if(idx == -1) return false;
		this.splice(idx,1);
		return true;
	}:function(obj) {
		var i = 0;
		var l = this.length;
		while(i < l) {
			if(this[i] == obj) {
				this.splice(i,1);
				return true;
			}
			i++;
		}
		return false;
	});
	Array.prototype.iterator = function() {
		return { cur : 0, arr : this, hasNext : function() {
			return this.cur < this.arr.length;
		}, next : function() {
			return this.arr[this.cur++];
		}}
	}
	var cca = String.prototype.charCodeAt;
	String.prototype.cca = cca;
	String.prototype.charCodeAt = function(i) {
		var x = cca.call(this,i);
		if(isNaN(x)) return null;
		return x;
	}
	var oldsub = String.prototype.substr;
	String.prototype.substr = function(pos,len) {
		if(pos != null && pos != 0 && len != null && len < 0) return "";
		if(len == null) len = this.length;
		if(pos < 0) {
			pos = this.length + pos;
			if(pos < 0) pos = 0;
		}
		else if(len < 0) {
			len = (this.length + len) - pos;
		}
		return oldsub.apply(this,[pos,len]);
	}
	$closure = js.Boot.__closure;
}
js.Boot.prototype.__class__ = js.Boot;
fio.components.Label = function(parentIn,xIn,yIn,textWidth,textIn,font,pointSize,color,bold,italic,underline,align,rotate90) { if( parentIn === $_ ) return; {
	if(rotate90 == null) rotate90 = false;
	if(align == null) align = 1;
	if(underline == null) underline = false;
	if(italic == null) italic = false;
	if(bold == null) bold = false;
	if(color == null) color = 0;
	if(pointSize == null) pointSize = 12;
	if(font == null) font = "Helvetica";
	if(textIn == null) textIn = "";
	if(textWidth == null) textWidth = 1024;
	try {
		this._rotate90 = rotate90;
		this.constructNativePeer(parentIn);
		fio.components.Component.apply(this,[parentIn]);
		this._text = textIn;
		this._textWidth = textWidth;
		this.setX(xIn);
		this.setY(yIn);
		this.setStyle(font,pointSize,color,bold,italic,underline,align);
	}
	catch( $e33 ) {
		{
			var d = $e33;
			{
				haxe.Log.trace("init error: " + d,{ fileName : "Label.hx", lineNumber : 57, className : "fio.components.Label", methodName : "new"});
			}
		}
	}
}}
fio.components.Label.__name__ = ["fio","components","Label"];
fio.components.Label.__super__ = fio.components.Component;
for(var k in fio.components.Component.prototype ) fio.components.Label.prototype[k] = fio.components.Component.prototype[k];
fio.components.Label.prototype._align = null;
fio.components.Label.prototype._color = null;
fio.components.Label.prototype._fontString = null;
fio.components.Label.prototype._pointSize = null;
fio.components.Label.prototype._rotate90 = null;
fio.components.Label.prototype._text = null;
fio.components.Label.prototype._textWidth = null;
fio.components.Label.prototype._x = null;
fio.components.Label.prototype._y = null;
fio.components.Label.prototype.addToNativeParent = function(newParent) {
	null;
}
fio.components.Label.prototype.constructNativePeer = function(parentIn) {
	null;
}
fio.components.Label.prototype.draw = function() {
	var gx = this._parent.getGraphics();
	gx._targetContext.fillStyle = this._color;
	gx._targetContext.font = this._fontString;
	var offset = 0;
	if(this._align != 1) {
		var metrics = gx._targetContext.measureText(this._text);
		if(this._align == 2) {
			offset = (this.getWidth() - metrics.width) / 2;
		}
		else {
			offset = (this.getWidth() - metrics.width);
		}
	}
	if(this._rotate90) {
		gx._targetContext.save();
		gx._targetContext.translate(this.getContainerX(),this.getContainerY());
		gx._targetContext.rotate(Math.PI / -2);
		gx._targetContext.fillText(this._text,offset,this._pointSize + 2,this.getWidth());
		gx._targetContext.restore();
	}
	else {
		gx._targetContext.fillText(this._text,this.getContainerX() + offset,(this.getContainerY() + this._pointSize) + 2,this.getWidth());
	}
}
fio.components.Label.prototype.getContainerX = function() {
	return fio.components.Component.prototype.getContainerX.apply(this,[]);
}
fio.components.Label.prototype.getContainerY = function() {
	return fio.components.Component.prototype.getContainerY.apply(this,[]);
}
fio.components.Label.prototype.getHeight = function() {
	return 0;
}
fio.components.Label.prototype.getText = function() {
	return this._text;
}
fio.components.Label.prototype.getTextWidth = function() {
	var gx = this._parent.getGraphics();
	gx._targetContext.font = this._fontString;
	var metrics = gx._targetContext.measureText(this._text);
	return metrics.width;
}
fio.components.Label.prototype.getWidth = function() {
	return this._textWidth;
}
fio.components.Label.prototype.getX = function() {
	return this._x;
}
fio.components.Label.prototype.getY = function() {
	return this._y;
}
fio.components.Label.prototype.removeFromNativeParent = function() {
	null;
}
fio.components.Label.prototype.setHeight = function(heightIn) {
	return 0;
}
fio.components.Label.prototype.setShown = function(show) {
	fio.components.Component.prototype.setShown.apply(this,[show]);
}
fio.components.Label.prototype.setStyle = function(font,pointSize,color,bold,italic,underline,align) {
	if(align == null) align = 1;
	if(underline == null) underline = false;
	if(italic == null) italic = false;
	if(bold == null) bold = false;
	if(color == null) color = 0;
	if(pointSize == null) pointSize = 12;
	if(font == null) font = "Helvetica";
	this._fontString = "";
	if(bold) {
		this._fontString += "bold ";
	}
	if(italic) {
		this._fontString += "italic ";
	}
	if(underline) {
		this._fontString += "underline ";
	}
	this._fontString += ((pointSize + "px '") + font) + "'";
	this._align = align;
	this._color = "#" + StringTools.hex(color,6);
	this._pointSize = pointSize;
	this._dirty = true;
}
fio.components.Label.prototype.setText = function(textIn) {
	this._text = textIn;
	this._dirty = true;
	return textIn;
}
fio.components.Label.prototype.setWidth = function(widthIn) {
	this._textWidth = widthIn;
	this._dirty = true;
	return widthIn;
}
fio.components.Label.prototype.setX = function(xIn) {
	this._x = xIn;
	this._dirty = true;
	return xIn;
}
fio.components.Label.prototype.setY = function(yIn) {
	this._y = yIn;
	this._dirty = true;
	return yIn;
}
fio.components.Label.prototype.text = null;
fio.components.Label.prototype.__class__ = fio.components.Label;
IntHash = function(p) { if( p === $_ ) return; {
	this.h = {}
	if(this.h.__proto__ != null) {
		this.h.__proto__ = null;
		delete(this.h.__proto__);
	}
	else null;
}}
IntHash.__name__ = ["IntHash"];
IntHash.prototype.exists = function(key) {
	return this.h[key] != null;
}
IntHash.prototype.get = function(key) {
	return this.h[key];
}
IntHash.prototype.h = null;
IntHash.prototype.iterator = function() {
	return { ref : this.h, it : this.keys(), hasNext : function() {
		return this.it.hasNext();
	}, next : function() {
		var i = this.it.next();
		return this.ref[i];
	}}
}
IntHash.prototype.keys = function() {
	var a = new Array();
	
			for( x in this.h )
				a.push(x);
		;
	return a.iterator();
}
IntHash.prototype.remove = function(key) {
	if(this.h[key] == null) return false;
	delete(this.h[key]);
	return true;
}
IntHash.prototype.set = function(key,value) {
	this.h[key] = value;
}
IntHash.prototype.toString = function() {
	var s = new StringBuf();
	s.b[s.b.length] = "{";
	var it = this.keys();
	{ var $it34 = it;
	while( $it34.hasNext() ) { var i = $it34.next();
	{
		s.b[s.b.length] = i;
		s.b[s.b.length] = " => ";
		s.b[s.b.length] = Std.string(this.get(i));
		if(it.hasNext()) s.b[s.b.length] = ", ";
	}
	}}
	s.b[s.b.length] = "}";
	return s.b.join("");
}
IntHash.prototype.__class__ = IntHash;
fio.graphics.VirtualContext = function(componentIn,graphicsIn) { if( componentIn === $_ ) return; {
	this._component = componentIn;
	fio.graphics.GraphicsContext.apply(this,[graphicsIn._targetCanvas,graphicsIn._targetContext]);
}}
fio.graphics.VirtualContext.__name__ = ["fio","graphics","VirtualContext"];
fio.graphics.VirtualContext.__super__ = fio.graphics.GraphicsContext;
for(var k in fio.graphics.GraphicsContext.prototype ) fio.graphics.VirtualContext.prototype[k] = fio.graphics.GraphicsContext.prototype[k];
fio.graphics.VirtualContext.prototype._component = null;
fio.graphics.VirtualContext.prototype.getContainerX = function() {
	return this._component.getContainerX();
}
fio.graphics.VirtualContext.prototype.getContainerY = function() {
	return this._component.getContainerY();
}
fio.graphics.VirtualContext.prototype.__class__ = fio.graphics.VirtualContext;
$Main = function() { }
$Main.__name__ = ["@Main"];
$Main.prototype.__class__ = $Main;
$_ = {}
js.Boot.__res = {}
js.Boot.__init();
{
	Math.NaN = Number["NaN"];
	Math.NEGATIVE_INFINITY = Number["NEGATIVE_INFINITY"];
	Math.POSITIVE_INFINITY = Number["POSITIVE_INFINITY"];
	Math.isFinite = function(i) {
		return isFinite(i);
	}
	Math.isNaN = function(i) {
		return isNaN(i);
	}
	Math.__name__ = ["Math"];
}
{
	Date.now = function() {
		return new Date();
	}
	Date.fromTime = function(t) {
		var d = new Date();
		d["setTime"](t);
		return d;
	}
	Date.fromString = function(s) {
		switch(s.length) {
		case 8:{
			var k = s.split(":");
			var d = new Date();
			d["setTime"](0);
			d["setUTCHours"](k[0]);
			d["setUTCMinutes"](k[1]);
			d["setUTCSeconds"](k[2]);
			return d;
		}break;
		case 10:{
			var k = s.split("-");
			return new Date(k[0],k[1] - 1,k[2],0,0,0);
		}break;
		case 19:{
			var k = s.split(" ");
			var y = k[0].split("-");
			var t = k[1].split(":");
			return new Date(y[0],y[1] - 1,y[2],t[0],t[1],t[2]);
		}break;
		default:{
			throw "Invalid date format : " + s;
		}break;
		}
	}
	Date.prototype["toString"] = function() {
		var date = this;
		var m = date.getMonth() + 1;
		var d = date.getDate();
		var h = date.getHours();
		var mi = date.getMinutes();
		var s = date.getSeconds();
		return (((((((((date.getFullYear() + "-") + ((m < 10?"0" + m:"" + m))) + "-") + ((d < 10?"0" + d:"" + d))) + " ") + ((h < 10?"0" + h:"" + h))) + ":") + ((mi < 10?"0" + mi:"" + mi))) + ":") + ((s < 10?"0" + s:"" + s));
	}
	Date.prototype.__class__ = Date;
	Date.__name__ = ["Date"];
}
{
	String.prototype.__class__ = String;
	String.__name__ = ["String"];
	Array.prototype.__class__ = Array;
	Array.__name__ = ["Array"];
	Int = { __name__ : ["Int"]}
	Dynamic = { __name__ : ["Dynamic"]}
	Float = Number;
	Float.__name__ = ["Float"];
	Bool = { __ename__ : ["Bool"]}
	Class = { __name__ : ["Class"]}
	Enum = { }
	Void = { __ename__ : ["Void"]}
}
{
	js.Lib.document = document;
	js.Lib.window = window;
	onerror = function(msg,url,line) {
		var f = js.Lib.onerror;
		if( f == null )
			return false;
		return f(msg,[url+":"+line]);
	}
}
fio.graphics.Fill.FILL_SOLID = 1;
fio.graphics.Fill.FILL_LINEAR_GRADIENT = 2;
fio.graphics.Fill.FILL_RADIAL_GRADIENT = 3;
fio.graphics.Stroke.STROKE_SOLID = 1;
fio.graphics.Stroke.JOINT_BEVEL = 1;
fio.graphics.Stroke.JOINT_MITER = 2;
fio.graphics.Stroke.JOINT_ROUND = 3;
fio.widgets.ReportChart.TOP_MARGIN = 10;
fio.widgets.ReportChart.LEFT_MARGIN = 50;
fio.widgets.ReportChart.BOTTOM_MARGIN = 40;
fio.widgets.ReportChart.RIGHT_MARGIN = 30;
fio.widgets.ReportLineKey.INSETS = 5;
fio.components.RootPanel._root = null;
fio.components.RootPanel._isRepainting = false;
fio.reports.ReportsMaster.CHART_TYPE_GRAPH = 1;
fio.reports.ReportsMaster.CHART_TYPE_TIMELINE = 2;
fio.reports.ReportsMaster.BUTTON_COLUMNS = 2;
fio.reports.ReportsMaster.REPORTS_BLUE = 7772123;
fio.reports.ReportsMaster.REPORTS_YELLOW = 13675592;
fio.reports.ReportsMaster.REPORTS_GREEN = 7841911;
fio.reports.ReportsMaster.DATA_READ_OPS = 0;
fio.reports.ReportsMaster.DATA_WRITE_OPS = 1;
fio.reports.ReportsMaster.DATA_READ_VOLUME = 2;
fio.reports.ReportsMaster.DATA_WRITE_VOLUME = 3;
fio.reports.ReportsMaster.DATA_TEMP = 4;
fio.reports.ReportsMaster.CHART_OPS = 1;
fio.reports.ReportsMaster.CHART_DATA = 2;
fio.reports.ReportsMaster.CHART_TEMP = 3;
fio.reports.ReportsMaster.CHART_EVENTS = 4;
fio.reports.ReportsMain.MSG_JAN = "Jan";
fio.reports.ReportsMain.MSG_FEB = "Feb";
fio.reports.ReportsMain.MSG_MAR = "Mar";
fio.reports.ReportsMain.MSG_APR = "Apr";
fio.reports.ReportsMain.MSG_MAY = "May";
fio.reports.ReportsMain.MSG_JUN = "Jun";
fio.reports.ReportsMain.MSG_JUL = "Jul";
fio.reports.ReportsMain.MSG_AUG = "Aug";
fio.reports.ReportsMain.MSG_SEP = "Sep";
fio.reports.ReportsMain.MSG_OCT = "Oct";
fio.reports.ReportsMain.MSG_NOV = "Nov";
fio.reports.ReportsMain.MSG_DEC = "Dec";
fio.reports.ReportsMain.MAIN_FONT = "Vera";
fio.reports.ReportsMain.BOLD_FONT = "VeraBd";
haxe.remoting.ExternalConnection.connections = new Hash();
fio.graphics.GraphicsContext.CTRL = Math.tan((22.5 * Math.PI) / 180);
fio.graphics.GraphicsContext.PATH_MOVE = -10000.;
fio.graphics.GraphicsContext.PATH_LINE = -20000.;
fio.graphics.GraphicsContext.PATH_CURVE = -30000.;
fio.widgets.ReportChartButton.INSETS = 6;
haxe.Timer.arr = new Array();
haxe.Unserializer.DEFAULT_RESOLVER = Type;
haxe.Unserializer.BASE64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789%:";
haxe.Unserializer.CODES = null;
haxe.Serializer.USE_CACHE = false;
haxe.Serializer.USE_ENUM_INDEX = false;
haxe.Serializer.BASE64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789%:";
js.Lib.onerror = null;
fio.components.Label.EMBEDDED_FONTS = ["Vera","digital_mono","VeraBd"];
fio.components.Label.ALIGN_LEFT = 1;
fio.components.Label.ALIGN_CENTER = 2;
fio.components.Label.ALIGN_RIGHT = 3;
$Main.init = fio.reports.ReportsMain.main();
